use Parrot::Test 'no_plan';
use Parrot::Test::PGE;
# Tests from re_tests in perl5-source

# --- re_tests ---

# 1: abc	abc	y	$&	abc
# 2: abc	abc	y	$-[0]	0
# 3: abc	abc	y	$+[0]	3 # SKIP
p6rule_like('abc', 'abc', qr/0: <\Qabc\E @ 0>/, 're_tests 1/$0 (#1)');
# 4: abc	xbc	n	-	-
p6rule_isnt('xbc', 'abc', 're_tests 2 (#2)');
# 5: abc	axc	n	-	-
p6rule_isnt('axc', 'abc', 're_tests 3 (#3)');
# 6: abc	abx	n	-	-
p6rule_isnt('abx', 'abc', 're_tests 4 (#4)');
# 7: abc	xabcy	y	$&	abc
# 8: abc	xabcy	y	$-[0]	1
# 9: abc	xabcy	y	$+[0]	4 # SKIP
p6rule_like('xabcy', 'abc', qr/0: <\Qabc\E @ 1>/, 're_tests 5/$0 (#5)');
# 10: abc	ababc	y	$&	abc
# 11: abc	ababc	y	$-[0]	2
# 12: abc	ababc	y	$+[0]	5 # SKIP
p6rule_like('ababc', 'abc', qr/0: <\Qabc\E @ 2>/, 're_tests 6/$0 (#6)');
# 13: ab*c	abc	y	$&	abc
# 14: ab*c	abc	y	$-[0]	0
# 15: ab*c	abc	y	$+[0]	3 # SKIP
p6rule_like('abc', 'ab*c', qr/0: <\Qabc\E @ 0>/, 're_tests 7/$0 (#7)');
# 16: ab*bc	abc	y	$&	abc
# 17: ab*bc	abc	y	$-[0]	0
# 18: ab*bc	abc	y	$+[0]	3 # SKIP
p6rule_like('abc', 'ab*bc', qr/0: <\Qabc\E @ 0>/, 're_tests 8/$0 (#8)');
# 19: ab*bc	abbc	y	$&	abbc
# 20: ab*bc	abbc	y	$-[0]	0
# 21: ab*bc	abbc	y	$+[0]	4 # SKIP
p6rule_like('abbc', 'ab*bc', qr/0: <\Qabbc\E @ 0>/, 're_tests 9/$0 (#9)');
# 22: ab*bc	abbbbc	y	$&	abbbbc
# 23: ab*bc	abbbbc	y	$-[0]	0
# 24: ab*bc	abbbbc	y	$+[0]	6 # SKIP
p6rule_like('abbbbc', 'ab*bc', qr/0: <\Qabbbbc\E @ 0>/, 're_tests 10/$0 (#10)');
# 25: .{1}	abbbbc	y	$&	a
# 26: .{1}	abbbbc	y	$-[0]	0
# 27: .{1}	abbbbc	y	$+[0]	1 # SKIP
p6rule_like('abbbbc', '\N**{1}', qr/0: <\Qa\E @ 0>/, 're_tests 11/$0 (#11)');
# 28: .{3,4}	abbbbc	y	$&	abbb
# 29: .{3,4}	abbbbc	y	$-[0]	0
# 30: .{3,4}	abbbbc	y	$+[0]	4 # SKIP
p6rule_like('abbbbc', '\N**{3..4}', qr/0: <\Qabbb\E @ 0>/, 're_tests 12/$0 (#12)');
# 31: ab{0,}bc	abbbbc	y	$&	abbbbc
# 32: ab{0,}bc	abbbbc	y	$-[0]	0
# 33: ab{0,}bc	abbbbc	y	$+[0]	6 # SKIP
p6rule_like('abbbbc', 'ab**{0...}bc', qr/0: <\Qabbbbc\E @ 0>/, 're_tests 13/$0 (#13)');
# 34: ab+bc	abbc	y	$&	abbc
# 35: ab+bc	abbc	y	$-[0]	0
# 36: ab+bc	abbc	y	$+[0]	4 # SKIP
p6rule_like('abbc', 'ab+bc', qr/0: <\Qabbc\E @ 0>/, 're_tests 14/$0 (#14)');
# 37: ab+bc	abc	n	-	-
p6rule_isnt('abc', 'ab+bc', 're_tests 15 (#15)');
# 38: ab+bc	abq	n	-	-
p6rule_isnt('abq', 'ab+bc', 're_tests 16 (#16)');
# 39: ab{1,}bc	abq	n	-	-
p6rule_isnt('abq', 'ab**{1...}bc', 're_tests 17 (#17)');
# 40: ab+bc	abbbbc	y	$&	abbbbc
# 41: ab+bc	abbbbc	y	$-[0]	0
# 42: ab+bc	abbbbc	y	$+[0]	6 # SKIP
p6rule_like('abbbbc', 'ab+bc', qr/0: <\Qabbbbc\E @ 0>/, 're_tests 18/$0 (#18)');
# 43: ab{1,}bc	abbbbc	y	$&	abbbbc
# 44: ab{1,}bc	abbbbc	y	$-[0]	0
# 45: ab{1,}bc	abbbbc	y	$+[0]	6 # SKIP
p6rule_like('abbbbc', 'ab**{1...}bc', qr/0: <\Qabbbbc\E @ 0>/, 're_tests 19/$0 (#19)');
# 46: ab{1,3}bc	abbbbc	y	$&	abbbbc
# 47: ab{1,3}bc	abbbbc	y	$-[0]	0
# 48: ab{1,3}bc	abbbbc	y	$+[0]	6 # SKIP
p6rule_like('abbbbc', 'ab**{1..3}bc', qr/0: <\Qabbbbc\E @ 0>/, 're_tests 20/$0 (#20)');
# 49: ab{3,4}bc	abbbbc	y	$&	abbbbc
# 50: ab{3,4}bc	abbbbc	y	$-[0]	0
# 51: ab{3,4}bc	abbbbc	y	$+[0]	6 # SKIP
p6rule_like('abbbbc', 'ab**{3..4}bc', qr/0: <\Qabbbbc\E @ 0>/, 're_tests 21/$0 (#21)');
# 52: ab{4,5}bc	abbbbc	n	-	-
p6rule_isnt('abbbbc', 'ab**{4..5}bc', 're_tests 22 (#22)');
# 53: ab?bc	abbc	y	$&	abbc
p6rule_like('abbc', 'ab?bc', qr/0: <\Qabbc\E @/, 're_tests 23/$0 (#23)');
# 54: ab?bc	abc	y	$&	abc
p6rule_like('abc', 'ab?bc', qr/0: <\Qabc\E @/, 're_tests 24/$0 (#24)');
# 55: ab{0,1}bc	abc	y	$&	abc
p6rule_like('abc', 'ab**{0..1}bc', qr/0: <\Qabc\E @/, 're_tests 25/$0 (#25)');
# 56: ab?bc	abbbbc	n	-	-
p6rule_isnt('abbbbc', 'ab?bc', 're_tests 26 (#26)');
# 57: ab?c	abc	y	$&	abc
p6rule_like('abc', 'ab?c', qr/0: <\Qabc\E @/, 're_tests 27/$0 (#27)');
# 58: ab{0,1}c	abc	y	$&	abc
p6rule_like('abc', 'ab**{0..1}c', qr/0: <\Qabc\E @/, 're_tests 28/$0 (#28)');
# 59: ^abc$	abc	y	$&	abc
p6rule_like('abc', '^abc$', qr/0: <\Qabc\E @/, 're_tests 29/$0 (#29)');
# 60: ^abc$	abcc	n	-	-
p6rule_isnt('abcc', '^abc$', 're_tests 30 (#30)');
# 61: ^abc	abcc	y	$&	abc
p6rule_like('abcc', '^abc', qr/0: <\Qabc\E @/, 're_tests 31/$0 (#31)');
# 62: ^abc$	aabc	n	-	-
p6rule_isnt('aabc', '^abc$', 're_tests 32 (#32)');
# 63: abc$	aabc	y	$&	abc
p6rule_like('aabc', 'abc$', qr/0: <\Qabc\E @/, 're_tests 33/$0 (#33)');
# 64: abc$	aabcd	n	-	-
p6rule_isnt('aabcd', 'abc$', 're_tests 34 (#34)');
# 65: ^	abc	y	$&	
p6rule_like('abc', '^', qr/0: <\Q\E @/, 're_tests 35/$0 (#35)');
# 66: $	abc	y	$&	
p6rule_like('abc', '$', qr/0: <\Q\E @/, 're_tests 36/$0 (#36)');
# 67: a.c	abc	y	$&	abc
p6rule_like('abc', 'a\Nc', qr/0: <\Qabc\E @/, 're_tests 37/$0 (#37)');
# 68: a.c	axc	y	$&	axc
p6rule_like('axc', 'a\Nc', qr/0: <\Qaxc\E @/, 're_tests 38/$0 (#38)');
# 69: a.*c	axyzc	y	$&	axyzc
p6rule_like('axyzc', 'a\N*c', qr/0: <\Qaxyzc\E @/, 're_tests 39/$0 (#39)');
# 70: a.*c	axyzd	n	-	-
p6rule_isnt('axyzd', 'a\N*c', 're_tests 40 (#40)');
# 71: a[bc]d	abc	n	-	-
p6rule_isnt('abc', 'a<[bc]>d', 're_tests 41 (#41)');
# 72: a[bc]d	abd	y	$&	abd
p6rule_like('abd', 'a<[bc]>d', qr/0: <\Qabd\E @/, 're_tests 42/$0 (#42)');
# 73: a[b-d]e	abd	n	-	-
p6rule_isnt('abd', 'a<[b-d]>e', 're_tests 43 (#43)');
# 74: a[b-d]e	ace	y	$&	ace
p6rule_like('ace', 'a<[b-d]>e', qr/0: <\Qace\E @/, 're_tests 44/$0 (#44)');
# 75: a[b-d]	aac	y	$&	ac
p6rule_like('aac', 'a<[b-d]>', qr/0: <\Qac\E @/, 're_tests 45/$0 (#45)');
# 76: a[-b]	a-	y	$&	a-
p6rule_like('a-', 'a<[-b]>', qr/0: <\Qa-\E @/, 're_tests 46/$0 (#46)');
# 77: a[b-]	a-	y	$&	a-
p6rule_like('a-', 'a<[b-]>', qr/0: <\Qa-\E @/, 're_tests 47/$0 (#47)');
# 78: a[b-a]	-	c	-	Invalid [] range "b-a"
# -- SKIPPED - TESTS ERROR MESSAGE
# 79: a[]b	-	c	-	Unmatched [
# -- SKIPPED - TESTS ERROR MESSAGE
# 80: a[	-	c	-	Unmatched [
# -- SKIPPED - TESTS ERROR MESSAGE
# 81: a]	a]	y	$&	a]
p6rule_like('a]', 'a]', qr/0: <\Qa]\E @/, 're_tests 48/$0 (#48)');
# 82: a[]]b	a]b	y	$&	a]b
p6rule_like('a]b', 'a<[]>]b', qr/0: <\Qa]b\E @/, 're_tests 49/$0 (#49)');
# 83: a[^bc]d	aed	y	$&	aed
p6rule_like('aed', 'a<[^bc]>d', qr/0: <\Qaed\E @/, 're_tests 50/$0 (#50)');
# 84: a[^bc]d	abd	n	-	-
p6rule_isnt('abd', 'a<[^bc]>d', 're_tests 51 (#51)');
# 85: a[^-b]c	adc	y	$&	adc
p6rule_like('adc', 'a<[^-b]>c', qr/0: <\Qadc\E @/, 're_tests 52/$0 (#52)');
# 86: a[^-b]c	a-c	n	-	-
p6rule_isnt('a-c', 'a<[^-b]>c', 're_tests 53 (#53)');
# 87: a[^]b]c	a]c	n	-	-
p6rule_isnt('a]c', 'a<[^]>b]c', 're_tests 54 (#54)');
# 88: a[^]b]c	adc	y	$&	adc
p6rule_like('adc', 'a<[^]>b]c', qr/0: <\Qadc\E @/, 're_tests 55/$0 (#55)');
# 89: \ba\b	a-	y	-	-
p6rule_is  ('a-', '\ba\b', 're_tests 56  (#56)');
# 90: \ba\b	-a	y	-	-
p6rule_is  ('-a', '\ba\b', 're_tests 57  (#57)');
# 91: \ba\b	-a-	y	-	-
p6rule_is  ('-a-', '\ba\b', 're_tests 58  (#58)');
# 92: \by\b	xy	n	-	-
p6rule_isnt('xy', '\by\b', 're_tests 59 (#59)');
# 93: \by\b	yz	n	-	-
p6rule_isnt('yz', '\by\b', 're_tests 60 (#60)');
# 94: \by\b	xyz	n	-	-
p6rule_isnt('xyz', '\by\b', 're_tests 61 (#61)');
# 95: \Ba\B	a-	n	-	-
p6rule_isnt('a-', '\Ba\B', 're_tests 62 (#62)');
# 96: \Ba\B	-a	n	-	-
p6rule_isnt('-a', '\Ba\B', 're_tests 63 (#63)');
# 97: \Ba\B	-a-	n	-	-
p6rule_isnt('-a-', '\Ba\B', 're_tests 64 (#64)');
# 98: \By\b	xy	y	-	-
p6rule_is  ('xy', '\By\b', 're_tests 65  (#65)');
# 99: \By\b	xy	y	$-[0]	1
# 100: \By\b	xy	y	$+[0]	2 # SKIP
p6rule_like('xy', '\By\b', qr/0: <.* @ 1>/, 're_tests 66/$0 (#66)');
# 101: \By\b	xy	y	-	-
p6rule_is  ('xy', '\By\b', 're_tests 67  (#67)');
# 102: \by\B	yz	y	-	-
p6rule_is  ('yz', '\by\B', 're_tests 68  (#68)');
# 103: \By\B	xyz	y	-	-
p6rule_is  ('xyz', '\By\B', 're_tests 69  (#69)');
# 104: \w	a	y	-	-
p6rule_is  ('a', '\w', 're_tests 70  (#70)');
# 105: \w	-	n	-	-
p6rule_isnt('-', '\w', 're_tests 71 (#71)');
# 106: \W	a	n	-	-
p6rule_isnt('a', '\W', 're_tests 72 (#72)');
# 107: \W	-	y	-	-
p6rule_is  ('-', '\W', 're_tests 73  (#73)');
# 108: a\sb	a b	y	-	-
p6rule_is  ('a b', 'a\sb', 're_tests 74  (#74)');
# 109: a\sb	a-b	n	-	-
p6rule_isnt('a-b', 'a\sb', 're_tests 75 (#75)');
# 110: a\Sb	a b	n	-	-
p6rule_isnt('a b', 'a\Sb', 're_tests 76 (#76)');
# 111: a\Sb	a-b	y	-	-
p6rule_is  ('a-b', 'a\Sb', 're_tests 77  (#77)');
# 112: \d	1	y	-	-
p6rule_is  ('1', '\d', 're_tests 78  (#78)');
# 113: \d	-	n	-	-
p6rule_isnt('-', '\d', 're_tests 79 (#79)');
# 114: \D	1	n	-	-
p6rule_isnt('1', '\D', 're_tests 80 (#80)');
# 115: \D	-	y	-	-
p6rule_is  ('-', '\D', 're_tests 81  (#81)');
# 116: [\w]	a	y	-	-
p6rule_is  ('a', '<[\w]>', 're_tests 82  (#82)');
# 117: [\w]	-	n	-	-
p6rule_isnt('-', '<[\w]>', 're_tests 83 (#83)');
# 118: [\W]	a	n	-	-
p6rule_isnt('a', '<[\W]>', 're_tests 84 (#84)');
# 119: [\W]	-	y	-	-
p6rule_is  ('-', '<[\W]>', 're_tests 85  (#85)');
# 120: a[\s]b	a b	y	-	-
p6rule_is  ('a b', 'a<[\s]>b', 're_tests 86  (#86)');
# 121: a[\s]b	a-b	n	-	-
p6rule_isnt('a-b', 'a<[\s]>b', 're_tests 87 (#87)');
# 122: a[\S]b	a b	n	-	-
p6rule_isnt('a b', 'a<[\S]>b', 're_tests 88 (#88)');
# 123: a[\S]b	a-b	y	-	-
p6rule_is  ('a-b', 'a<[\S]>b', 're_tests 89  (#89)');
# 124: [\d]	1	y	-	-
p6rule_is  ('1', '<[\d]>', 're_tests 90  (#90)');
# 125: [\d]	-	n	-	-
p6rule_isnt('-', '<[\d]>', 're_tests 91 (#91)');
# 126: [\D]	1	n	-	-
p6rule_isnt('1', '<[\D]>', 're_tests 92 (#92)');
# 127: [\D]	-	y	-	-
p6rule_is  ('-', '<[\D]>', 're_tests 93  (#93)');
# 128: ab|cd	abc	y	$&	ab
p6rule_like('abc', 'ab|cd', qr/0: <\Qab\E @/, 're_tests 94/$0 (#94)');
# 129: ab|cd	abcd	y	$&	ab
p6rule_like('abcd', 'ab|cd', qr/0: <\Qab\E @/, 're_tests 95/$0 (#95)');
# 130: ()ef	def	y	$&-$1	ef-
p6rule_like('def', '()ef', qr/0: <\Qef\E @/, 're_tests 96/$0 (#96)');
p6rule_like('def', '()ef', qr/1: <\Q\E @/, 're_tests 96/$1 (#97)');
# 131: ()ef	def	y	$-[0]	1
# 132: ()ef	def	y	$+[0]	3 # SKIP
p6rule_like('def', '()ef', qr/0: <.* @ 1>/, 're_tests 97/$0 (#98)');
# 133: ()ef	def	y	$-[1]	1
# 134: ()ef	def	y	$+[1]	1 # SKIP
p6rule_like('def', '()ef', qr/1: <.* @ 1>/, 're_tests 98/$1 (#99)');
# 135: *a	-	c	-	Quantifier follows nothing
# -- SKIPPED - TESTS ERROR MESSAGE
# 136: (*)b	-	c	-	Quantifier follows nothing
# -- SKIPPED - TESTS ERROR MESSAGE
# 137: $b	b	n	-	-
p6rule_isnt('b', '$b', 're_tests 99 (#100)');
# 138: a\	-	c	-	Search pattern not terminated
# -- SKIPPED - TESTS ERROR MESSAGE
# 139: a\(b	a(b	y	$&-$1	a(b-
p6rule_like('a(b', 'a\(b', qr/0: <\Qa(b\E @/, 're_tests 100/$0 (#101)');
p6rule_like('a(b', 'a\(b', qr/1: <\Q\E @/, 're_tests 100/$1 (#102)');
# 140: a\(*b	ab	y	$&	ab
p6rule_like('ab', 'a\(*b', qr/0: <\Qab\E @/, 're_tests 101/$0 (#103)');
# 141: a\(*b	a((b	y	$&	a((b
p6rule_like('a((b', 'a\(*b', qr/0: <\Qa((b\E @/, 're_tests 102/$0 (#104)');
# 142: a\\b	a\b	y	$&	a\b
p6rule_like('a\b', 'a\\b', qr/0: <\Qa\b\E @/, 're_tests 103/$0 (#105)');
# 143: abc)	-	c	-	Unmatched )
# -- SKIPPED - TESTS ERROR MESSAGE
# 144: (abc	-	c	-	Unmatched (
# -- SKIPPED - TESTS ERROR MESSAGE
# 145: ((a))	abc	y	$&-$1-$2	a-a-a
p6rule_like('abc', '((a))', qr/0: <\Qa\E @/, 're_tests 104/$0 (#106)');
p6rule_like('abc', '((a))', qr/1: <\Qa\E @/, 're_tests 104/$1 (#107)');
p6rule_like('abc', '((a))', qr/2: <\Qa\E @/, 're_tests 104/$2 (#108)');
# 146: ((a))	abc	y	$-[0]-$-[1]-$-[2]	0-0-0
# 147: ((a))	abc	y	$+[0]-$+[1]-$+[2]	1-1-1 # SKIP
# SKIPPED: script doesn't understand `$-[0]-$-[1]-$-[2]' yet
# 148: ((a))	abc	b	@-	0 0 0
# SKIPPED: script doesn't understand `@-' yet
# 149: ((a))	abc	b	@+	1 1 1
# SKIPPED: script doesn't understand `@+' yet
# 150: (a)b(c)	abc	y	$&-$1-$2	abc-a-c
p6rule_like('abc', '(a)b(c)', qr/0: <\Qabc\E @/, 're_tests 105/$0 (#109)');
p6rule_like('abc', '(a)b(c)', qr/1: <\Qa\E @/, 're_tests 105/$1 (#110)');
p6rule_like('abc', '(a)b(c)', qr/2: <\Qc\E @/, 're_tests 105/$2 (#111)');
# 151: (a)b(c)	abc	y	$-[0]-$-[1]-$-[2]	0-0-2
# 152: (a)b(c)	abc	y	$+[0]-$+[1]-$+[2]	3-1-3 # SKIP
# SKIPPED: script doesn't understand `$-[0]-$-[1]-$-[2]' yet
# 153: a+b+c	aabbabc	y	$&	abc
p6rule_like('aabbabc', 'a+b+c', qr/0: <\Qabc\E @/, 're_tests 106/$0 (#112)');
# 154: a{1,}b{1,}c	aabbabc	y	$&	abc
p6rule_like('aabbabc', 'a**{1...}b**{1...}c', qr/0: <\Qabc\E @/, 're_tests 107/$0 (#113)');
# 155: a**	-	c	-	Nested quantifiers
# -- SKIPPED - TESTS ERROR MESSAGE
# 156: a.+?c	abcabc	y	$&	abc
p6rule_like('abcabc', 'a\N+?c', qr/0: <\Qabc\E @/, 're_tests 108/$0 (#114)');
# 157: (a+|b)*	ab	y	$&-$1	ab-b
p6rule_like('ab', '(a+|b)*', qr/0: <\Qab\E @/, 're_tests 109/$0 (#115)');
p6rule_like('ab', '(a+|b)*', qr/1: <\Qb\E @/, 're_tests 109/$1 (#116)');
# 158: (a+|b)*	ab	y	$-[0]	0
# 159: (a+|b)*	ab	y	$+[0]	2 # SKIP
p6rule_like('ab', '(a+|b)*', qr/0: <.* @ 0>/, 're_tests 110/$0 (#117)');
# 160: (a+|b)*	ab	y	$-[1]	1
# 161: (a+|b)*	ab	y	$+[1]	2 # SKIP
p6rule_like('ab', '(a+|b)*', qr/1: <.* @ 1>/, 're_tests 111/$1 (#118)');
# 162: (a+|b){0,}	ab	y	$&-$1	ab-b
p6rule_like('ab', '(a+|b)**{0...}', qr/0: <\Qab\E @/, 're_tests 112/$0 (#119)');
p6rule_like('ab', '(a+|b)**{0...}', qr/1: <\Qb\E @/, 're_tests 112/$1 (#120)');
# 163: (a+|b)+	ab	y	$&-$1	ab-b
p6rule_like('ab', '(a+|b)+', qr/0: <\Qab\E @/, 're_tests 113/$0 (#121)');
p6rule_like('ab', '(a+|b)+', qr/1: <\Qb\E @/, 're_tests 113/$1 (#122)');
# 164: (a+|b){1,}	ab	y	$&-$1	ab-b
p6rule_like('ab', '(a+|b)**{1...}', qr/0: <\Qab\E @/, 're_tests 114/$0 (#123)');
p6rule_like('ab', '(a+|b)**{1...}', qr/1: <\Qb\E @/, 're_tests 114/$1 (#124)');
# 165: (a+|b)?	ab	y	$&-$1	a-a
p6rule_like('ab', '(a+|b)?', qr/0: <\Qa\E @/, 're_tests 115/$0 (#125)');
p6rule_like('ab', '(a+|b)?', qr/1: <\Qa\E @/, 're_tests 115/$1 (#126)');
# 166: (a+|b){0,1}	ab	y	$&-$1	a-a
p6rule_like('ab', '(a+|b)**{0..1}', qr/0: <\Qa\E @/, 're_tests 116/$0 (#127)');
p6rule_like('ab', '(a+|b)**{0..1}', qr/1: <\Qa\E @/, 're_tests 116/$1 (#128)');
# 167: )(	-	c	-	Unmatched )
# -- SKIPPED - TESTS ERROR MESSAGE
# 168: [^ab]*	cde	y	$&	cde
p6rule_like('cde', '<[^ab]>*', qr/0: <\Qcde\E @/, 're_tests 117/$0 (#129)');
# 169: abc		n	-	-
p6rule_isnt('', 'abc', 're_tests 118 (#130)');
# 170: a*		y	$&	
p6rule_like('', 'a*', qr/0: <\Q\E @/, 're_tests 119/$0 (#131)');
# 171: ([abc])*d	abbbcd	y	$&-$1	abbbcd-c
p6rule_like('abbbcd', '(<[abc]>)*d', qr/0: <\Qabbbcd\E @/, 're_tests 120/$0 (#132)');
p6rule_like('abbbcd', '(<[abc]>)*d', qr/1: <\Qc\E @/, 're_tests 120/$1 (#133)');
# 172: ([abc])*bcd	abcd	y	$&-$1	abcd-a
p6rule_like('abcd', '(<[abc]>)*bcd', qr/0: <\Qabcd\E @/, 're_tests 121/$0 (#134)');
p6rule_like('abcd', '(<[abc]>)*bcd', qr/1: <\Qa\E @/, 're_tests 121/$1 (#135)');
# 173: a|b|c|d|e	e	y	$&	e
p6rule_like('e', 'a|b|c|d|e', qr/0: <\Qe\E @/, 're_tests 122/$0 (#136)');
# 174: (a|b|c|d|e)f	ef	y	$&-$1	ef-e
p6rule_like('ef', '(a|b|c|d|e)f', qr/0: <\Qef\E @/, 're_tests 123/$0 (#137)');
p6rule_like('ef', '(a|b|c|d|e)f', qr/1: <\Qe\E @/, 're_tests 123/$1 (#138)');
# 175: (a|b|c|d|e)f	ef	y	$-[0]	0
# 176: (a|b|c|d|e)f	ef	y	$+[0]	2 # SKIP
p6rule_like('ef', '(a|b|c|d|e)f', qr/0: <.* @ 0>/, 're_tests 124/$0 (#139)');
# 177: (a|b|c|d|e)f	ef	y	$-[1]	0
# 178: (a|b|c|d|e)f	ef	y	$+[1]	1 # SKIP
p6rule_like('ef', '(a|b|c|d|e)f', qr/1: <.* @ 0>/, 're_tests 125/$1 (#140)');
# 179: abcd*efg	abcdefg	y	$&	abcdefg
p6rule_like('abcdefg', 'abcd*efg', qr/0: <\Qabcdefg\E @/, 're_tests 126/$0 (#141)');
# 180: ab*	xabyabbbz	y	$&	ab
p6rule_like('xabyabbbz', 'ab*', qr/0: <\Qab\E @/, 're_tests 127/$0 (#142)');
# 181: ab*	xayabbbz	y	$&	a
p6rule_like('xayabbbz', 'ab*', qr/0: <\Qa\E @/, 're_tests 128/$0 (#143)');
# 182: (ab|cd)e	abcde	y	$&-$1	cde-cd
p6rule_like('abcde', '(ab|cd)e', qr/0: <\Qcde\E @/, 're_tests 129/$0 (#144)');
p6rule_like('abcde', '(ab|cd)e', qr/1: <\Qcd\E @/, 're_tests 129/$1 (#145)');
# 183: [abhgefdc]ij	hij	y	$&	hij
p6rule_like('hij', '<[abhgefdc]>ij', qr/0: <\Qhij\E @/, 're_tests 130/$0 (#146)');
# 184: ^(ab|cd)e	abcde	n	x$1y	xy
# SKIPPED: script doesn't understand `x$1y' yet
# 185: (abc|)ef	abcdef	y	$&-$1	ef-
p6rule_like('abcdef', '(abc|)ef', qr/0: <\Qef\E @/, 're_tests 131/$0 (#147)');
p6rule_like('abcdef', '(abc|)ef', qr/1: <\Q\E @/, 're_tests 131/$1 (#148)');
# 186: (a|b)c*d	abcd	y	$&-$1	bcd-b
p6rule_like('abcd', '(a|b)c*d', qr/0: <\Qbcd\E @/, 're_tests 132/$0 (#149)');
p6rule_like('abcd', '(a|b)c*d', qr/1: <\Qb\E @/, 're_tests 132/$1 (#150)');
# 187: (ab|ab*)bc	abc	y	$&-$1	abc-a
p6rule_like('abc', '(ab|ab*)bc', qr/0: <\Qabc\E @/, 're_tests 133/$0 (#151)');
p6rule_like('abc', '(ab|ab*)bc', qr/1: <\Qa\E @/, 're_tests 133/$1 (#152)');
# 188: a([bc]*)c*	abc	y	$&-$1	abc-bc
p6rule_like('abc', 'a(<[bc]>*)c*', qr/0: <\Qabc\E @/, 're_tests 134/$0 (#153)');
p6rule_like('abc', 'a(<[bc]>*)c*', qr/1: <\Qbc\E @/, 're_tests 134/$1 (#154)');
# 189: a([bc]*)(c*d)	abcd	y	$&-$1-$2	abcd-bc-d
p6rule_like('abcd', 'a(<[bc]>*)(c*d)', qr/0: <\Qabcd\E @/, 're_tests 135/$0 (#155)');
p6rule_like('abcd', 'a(<[bc]>*)(c*d)', qr/1: <\Qbc\E @/, 're_tests 135/$1 (#156)');
p6rule_like('abcd', 'a(<[bc]>*)(c*d)', qr/2: <\Qd\E @/, 're_tests 135/$2 (#157)');
# 190: a([bc]*)(c*d)	abcd	y	$-[0]	0
# 191: a([bc]*)(c*d)	abcd	y	$+[0]	4 # SKIP
p6rule_like('abcd', 'a(<[bc]>*)(c*d)', qr/0: <.* @ 0>/, 're_tests 136/$0 (#158)');
# 192: a([bc]*)(c*d)	abcd	y	$-[1]	1
# 193: a([bc]*)(c*d)	abcd	y	$+[1]	3 # SKIP
p6rule_like('abcd', 'a(<[bc]>*)(c*d)', qr/1: <.* @ 1>/, 're_tests 137/$1 (#159)');
# 194: a([bc]*)(c*d)	abcd	y	$-[2]	3
# 195: a([bc]*)(c*d)	abcd	y	$+[2]	4 # SKIP
p6rule_like('abcd', 'a(<[bc]>*)(c*d)', qr/2: <.* @ 3>/, 're_tests 138/$2 (#160)');
# 196: a([bc]+)(c*d)	abcd	y	$&-$1-$2	abcd-bc-d
p6rule_like('abcd', 'a(<[bc]>+)(c*d)', qr/0: <\Qabcd\E @/, 're_tests 139/$0 (#161)');
p6rule_like('abcd', 'a(<[bc]>+)(c*d)', qr/1: <\Qbc\E @/, 're_tests 139/$1 (#162)');
p6rule_like('abcd', 'a(<[bc]>+)(c*d)', qr/2: <\Qd\E @/, 're_tests 139/$2 (#163)');
# 197: a([bc]*)(c+d)	abcd	y	$&-$1-$2	abcd-b-cd
p6rule_like('abcd', 'a(<[bc]>*)(c+d)', qr/0: <\Qabcd\E @/, 're_tests 140/$0 (#164)');
p6rule_like('abcd', 'a(<[bc]>*)(c+d)', qr/1: <\Qb\E @/, 're_tests 140/$1 (#165)');
p6rule_like('abcd', 'a(<[bc]>*)(c+d)', qr/2: <\Qcd\E @/, 're_tests 140/$2 (#166)');
# 198: a([bc]*)(c+d)	abcd	y	$-[0]	0
# 199: a([bc]*)(c+d)	abcd	y	$+[0]	4 # SKIP
p6rule_like('abcd', 'a(<[bc]>*)(c+d)', qr/0: <.* @ 0>/, 're_tests 141/$0 (#167)');
# 200: a([bc]*)(c+d)	abcd	y	$-[1]	1
# 201: a([bc]*)(c+d)	abcd	y	$+[1]	2 # SKIP
p6rule_like('abcd', 'a(<[bc]>*)(c+d)', qr/1: <.* @ 1>/, 're_tests 142/$1 (#168)');
# 202: a([bc]*)(c+d)	abcd	y	$-[2]	2
# 203: a([bc]*)(c+d)	abcd	y	$+[2]	4 # SKIP
p6rule_like('abcd', 'a(<[bc]>*)(c+d)', qr/2: <.* @ 2>/, 're_tests 143/$2 (#169)');
# 204: a[bcd]*dcdcde	adcdcde	y	$&	adcdcde
p6rule_like('adcdcde', 'a<[bcd]>*dcdcde', qr/0: <\Qadcdcde\E @/, 're_tests 144/$0 (#170)');
# 205: a[bcd]+dcdcde	adcdcde	n	-	-
p6rule_isnt('adcdcde', 'a<[bcd]>+dcdcde', 're_tests 145 (#171)');
# 206: (ab|a)b*c	abc	y	$&-$1	abc-ab
p6rule_like('abc', '(ab|a)b*c', qr/0: <\Qabc\E @/, 're_tests 146/$0 (#172)');
p6rule_like('abc', '(ab|a)b*c', qr/1: <\Qab\E @/, 're_tests 146/$1 (#173)');
# 207: (ab|a)b*c	abc	y	$-[0]	0
# 208: (ab|a)b*c	abc	y	$+[0]	3 # SKIP
p6rule_like('abc', '(ab|a)b*c', qr/0: <.* @ 0>/, 're_tests 147/$0 (#174)');
# 209: (ab|a)b*c	abc	y	$-[1]	0
# 210: (ab|a)b*c	abc	y	$+[1]	2 # SKIP
p6rule_like('abc', '(ab|a)b*c', qr/1: <.* @ 0>/, 're_tests 148/$1 (#175)');
# 211: ((a)(b)c)(d)	abcd	y	$1-$2-$3-$4	abc-a-b-d
# SKIPPED: script doesn't understand `$1-$2-$3-$4' yet
# 212: ((a)(b)c)(d)	abcd	y	$-[0]	0
# 213: ((a)(b)c)(d)	abcd	y	$+[0]	4 # SKIP
p6rule_like('abcd', '((a)(b)c)(d)', qr/0: <.* @ 0>/, 're_tests 149/$0 (#176)');
# 214: ((a)(b)c)(d)	abcd	y	$-[1]	0
# 215: ((a)(b)c)(d)	abcd	y	$+[1]	3 # SKIP
p6rule_like('abcd', '((a)(b)c)(d)', qr/1: <.* @ 0>/, 're_tests 150/$1 (#177)');
# 216: ((a)(b)c)(d)	abcd	y	$-[2]	0
# 217: ((a)(b)c)(d)	abcd	y	$+[2]	1 # SKIP
p6rule_like('abcd', '((a)(b)c)(d)', qr/2: <.* @ 0>/, 're_tests 151/$2 (#178)');
# 218: ((a)(b)c)(d)	abcd	y	$-[3]	1
# 219: ((a)(b)c)(d)	abcd	y	$+[3]	2 # SKIP
p6rule_like('abcd', '((a)(b)c)(d)', qr/3: <.* @ 1>/, 're_tests 152/$3 (#179)');
# 220: ((a)(b)c)(d)	abcd	y	$-[4]	3
# 221: ((a)(b)c)(d)	abcd	y	$+[4]	4 # SKIP
p6rule_like('abcd', '((a)(b)c)(d)', qr/4: <.* @ 3>/, 're_tests 153/$4 (#180)');
# 222: [a-zA-Z_][a-zA-Z0-9_]*	alpha	y	$&	alpha
p6rule_like('alpha', '<[a-zA-Z_]><[a-zA-Z0-9_]>*', qr/0: <\Qalpha\E @/, 're_tests 154/$0 (#181)');
# 223: ^a(bc+|b[eh])g|.h$	abh	y	$&-$1	bh-
p6rule_like('abh', '^a(bc+|b<[eh]>)g|\Nh$', qr/0: <\Qbh\E @/, 're_tests 155/$0 (#182)');
p6rule_like('abh', '^a(bc+|b<[eh]>)g|\Nh$', qr/1: <\Q\E @/, 're_tests 155/$1 (#183)');
# 224: (bc+d$|ef*g.|h?i(j|k))	effgz	y	$&-$1-$2	effgz-effgz-
p6rule_like('effgz', '(bc+d$|ef*g\N|h?i(j|k))', qr/0: <\Qeffgz\E @/, 're_tests 156/$0 (#184)');
p6rule_like('effgz', '(bc+d$|ef*g\N|h?i(j|k))', qr/1: <\Qeffgz\E @/, 're_tests 156/$1 (#185)');
p6rule_like('effgz', '(bc+d$|ef*g\N|h?i(j|k))', qr/2: <\Q\E @/, 're_tests 156/$2 (#186)');
# 225: (bc+d$|ef*g.|h?i(j|k))	ij	y	$&-$1-$2	ij-ij-j
p6rule_like('ij', '(bc+d$|ef*g\N|h?i(j|k))', qr/0: <\Qij\E @/, 're_tests 157/$0 (#187)');
p6rule_like('ij', '(bc+d$|ef*g\N|h?i(j|k))', qr/1: <\Qij\E @/, 're_tests 157/$1 (#188)');
p6rule_like('ij', '(bc+d$|ef*g\N|h?i(j|k))', qr/2: <\Qj\E @/, 're_tests 157/$2 (#189)');
# 226: (bc+d$|ef*g.|h?i(j|k))	effg	n	-	-
p6rule_isnt('effg', '(bc+d$|ef*g\N|h?i(j|k))', 're_tests 158 (#190)');
# 227: (bc+d$|ef*g.|h?i(j|k))	bcdd	n	-	-
p6rule_isnt('bcdd', '(bc+d$|ef*g\N|h?i(j|k))', 're_tests 159 (#191)');
# 228: (bc+d$|ef*g.|h?i(j|k))	reffgz	y	$&-$1-$2	effgz-effgz-
p6rule_like('reffgz', '(bc+d$|ef*g\N|h?i(j|k))', qr/0: <\Qeffgz\E @/, 're_tests 160/$0 (#192)');
p6rule_like('reffgz', '(bc+d$|ef*g\N|h?i(j|k))', qr/1: <\Qeffgz\E @/, 're_tests 160/$1 (#193)');
p6rule_like('reffgz', '(bc+d$|ef*g\N|h?i(j|k))', qr/2: <\Q\E @/, 're_tests 160/$2 (#194)');
# 229: ((((((((((a))))))))))	a	y	$10	a
p6rule_like('a', '((((((((((a))))))))))', qr/10: <\Qa\E @/, 're_tests 161/$10 (#195)');
# 230: ((((((((((a))))))))))	a	y	$-[0]	0
# 231: ((((((((((a))))))))))	a	y	$+[0]	1 # SKIP
p6rule_like('a', '((((((((((a))))))))))', qr/0: <.* @ 0>/, 're_tests 162/$0 (#196)');
# 232: ((((((((((a))))))))))	a	y	$-[10]	0
# 233: ((((((((((a))))))))))	a	y	$+[10]	1 # SKIP
p6rule_like('a', '((((((((((a))))))))))', qr/10: <.* @ 0>/, 're_tests 163/$10 (#197)');
# 234: ((((((((((a))))))))))\10	aa	y	$&	aa
p6rule_like('aa', '((((((((((a))))))))))$10', qr/0: <\Qaa\E @/, 're_tests 164/$0 (#198)');
# 235: ((((((((((a))))))))))${bang}	aa	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support this yet
# 236: ((((((((((a))))))))))${bang}	a!	y	$&	a!
# -- SKIPPED - p5re_to_p6rule doesn't support this yet
# 237: (((((((((a)))))))))	a	y	$&	a
p6rule_like('a', '(((((((((a)))))))))', qr/0: <\Qa\E @/, 're_tests 165/$0 (#199)');
# 238: multiple words of text	uh-uh	n	-	-
p6rule_isnt('uh-uh', 'multiple<sp>words<sp>of<sp>text', 're_tests 166 (#200)');
# 239: multiple words	multiple words, yeah	y	$&	multiple words
p6rule_like('multiple words, yeah', 'multiple<sp>words', qr/0: <\Qmultiple words\E @/, 're_tests 167/$0 (#201)');
# 240: (.*)c(.*)	abcde	y	$&-$1-$2	abcde-ab-de
p6rule_like('abcde', '(\N*)c(\N*)', qr/0: <\Qabcde\E @/, 're_tests 168/$0 (#202)');
p6rule_like('abcde', '(\N*)c(\N*)', qr/1: <\Qab\E @/, 're_tests 168/$1 (#203)');
p6rule_like('abcde', '(\N*)c(\N*)', qr/2: <\Qde\E @/, 're_tests 168/$2 (#204)');
# 241: \((.*), (.*)\)	(a, b)	y	($2, $1)	(b, a)
# SKIPPED: script doesn't understand `($2, $1)' yet
# 242: [k]	ab	n	-	-
p6rule_isnt('ab', '<[k]>', 're_tests 169 (#205)');
# 243: abcd	abcd	y	$&-\$&-\\$&	abcd-$&-\abcd
# SKIPPED: script doesn't understand `$&-\$&-\\$&' yet
# 244: a(bc)d	abcd	y	$1-\$1-\\$1	bc-$1-\bc
# SKIPPED: script doesn't understand `$1-\$1-\\$1' yet
# 245: a[-]?c	ac	y	$&	ac
p6rule_like('ac', 'a<[-]>?c', qr/0: <\Qac\E @/, 're_tests 170/$0 (#206)');
# 246: (abc)\1	abcabc	y	$1	abc
p6rule_like('abcabc', '(abc)$1', qr/1: <\Qabc\E @/, 're_tests 171/$1 (#207)');
# 247: ([a-c]*)\1	abcabc	y	$1	abc
p6rule_like('abcabc', '(<[a-c]>*)$1', qr/1: <\Qabc\E @/, 're_tests 172/$1 (#208)');
# 248: \1	-	c	-	Reference to nonexistent group
# -- SKIPPED - TESTS ERROR MESSAGE
# 249: \2	-	c	-	Reference to nonexistent group
# -- SKIPPED - TESTS ERROR MESSAGE
# 250: (a)|\1	a	y	-	-
p6rule_is  ('a', '(a)|$1', 're_tests 173  (#209)');
# 251: (a)|\1	x	n	-	-
p6rule_isnt('x', '(a)|$1', 're_tests 174 (#210)');
# 252: (a)|\2	-	c	-	Reference to nonexistent group
# -- SKIPPED - TESTS ERROR MESSAGE
# 253: (([a-c])b*?\2)*	ababbbcbc	y	$&-$1-$2	ababb-bb-b
p6rule_like('ababbbcbc', '((<[a-c]>)b*?$2)*', qr/0: <\Qababb\E @/, 're_tests 175/$0 (#211)');
p6rule_like('ababbbcbc', '((<[a-c]>)b*?$2)*', qr/1: <\Qbb\E @/, 're_tests 175/$1 (#212)');
p6rule_like('ababbbcbc', '((<[a-c]>)b*?$2)*', qr/2: <\Qb\E @/, 're_tests 175/$2 (#213)');
# 254: (([a-c])b*?\2){3}	ababbbcbc	y	$&-$1-$2	ababbbcbc-cbc-c
p6rule_like('ababbbcbc', '((<[a-c]>)b*?$2)**{3}', qr/0: <\Qababbbcbc\E @/, 're_tests 176/$0 (#214)');
p6rule_like('ababbbcbc', '((<[a-c]>)b*?$2)**{3}', qr/1: <\Qcbc\E @/, 're_tests 176/$1 (#215)');
p6rule_like('ababbbcbc', '((<[a-c]>)b*?$2)**{3}', qr/2: <\Qc\E @/, 're_tests 176/$2 (#216)');
# 255: ((\3|b)\2(a)x)+	aaxabxbaxbbx	n	-	-
p6rule_isnt('aaxabxbaxbbx', '(($3|b)$2(a)x)+', 're_tests 177 (#217)');
# 256: ((\3|b)\2(a)x)+	aaaxabaxbaaxbbax	y	$&-$1-$2-$3	bbax-bbax-b-a
# SKIPPED: script doesn't understand `$&-$1-$2-$3' yet
# 257: ((\3|b)\2(a)){2,}	bbaababbabaaaaabbaaaabba	y	$&-$1-$2-$3	bbaaaabba-bba-b-a
# SKIPPED: script doesn't understand `$&-$1-$2-$3' yet
# 258: (a)|(b)	b	y	$-[0]	0
# 259: (a)|(b)	b	y	$+[0]	1 # SKIP
p6rule_like('b', '(a)|(b)', qr/0: <.* @ 0>/, 're_tests 178/$0 (#218)');
# 260: (a)|(b)	b	y	x$-[1]	x
# 261: (a)|(b)	b	y	x$+[1]	x # SKIP
# SKIPPED: script doesn't understand `x$-[1]' yet
# 262: (a)|(b)	b	y	$-[2]	0
# 263: (a)|(b)	b	y	$+[2]	1 # SKIP
p6rule_like('b', '(a)|(b)', qr/2: <.* @ 0>/, 're_tests 179/$2 (#219)');
# 264: 'abc'i	ABC	y	$&	ABC
p6rule_like('ABC', '[:i abc]', qr/0: <\QABC\E @/, 're_tests 180/$0 (#220)');
# 265: 'abc'i	XBC	n	-	-
p6rule_isnt('XBC', '[:i abc]', 're_tests 181 (#221)');
# 266: 'abc'i	AXC	n	-	-
p6rule_isnt('AXC', '[:i abc]', 're_tests 182 (#222)');
# 267: 'abc'i	ABX	n	-	-
p6rule_isnt('ABX', '[:i abc]', 're_tests 183 (#223)');
# 268: 'abc'i	XABCY	y	$&	ABC
p6rule_like('XABCY', '[:i abc]', qr/0: <\QABC\E @/, 're_tests 184/$0 (#224)');
# 269: 'abc'i	ABABC	y	$&	ABC
p6rule_like('ABABC', '[:i abc]', qr/0: <\QABC\E @/, 're_tests 185/$0 (#225)');
# 270: 'ab*c'i	ABC	y	$&	ABC
p6rule_like('ABC', '[:i ab*c]', qr/0: <\QABC\E @/, 're_tests 186/$0 (#226)');
# 271: 'ab*bc'i	ABC	y	$&	ABC
p6rule_like('ABC', '[:i ab*bc]', qr/0: <\QABC\E @/, 're_tests 187/$0 (#227)');
# 272: 'ab*bc'i	ABBC	y	$&	ABBC
p6rule_like('ABBC', '[:i ab*bc]', qr/0: <\QABBC\E @/, 're_tests 188/$0 (#228)');
# 273: 'ab*?bc'i	ABBBBC	y	$&	ABBBBC
p6rule_like('ABBBBC', '[:i ab*?bc]', qr/0: <\QABBBBC\E @/, 're_tests 189/$0 (#229)');
# 274: 'ab{0,}?bc'i	ABBBBC	y	$&	ABBBBC
p6rule_like('ABBBBC', '[:i ab**{0...}?bc]', qr/0: <\QABBBBC\E @/, 're_tests 190/$0 (#230)');
# 275: 'ab+?bc'i	ABBC	y	$&	ABBC
p6rule_like('ABBC', '[:i ab+?bc]', qr/0: <\QABBC\E @/, 're_tests 191/$0 (#231)');
# 276: 'ab+bc'i	ABC	n	-	-
p6rule_isnt('ABC', '[:i ab+bc]', 're_tests 192 (#232)');
# 277: 'ab+bc'i	ABQ	n	-	-
p6rule_isnt('ABQ', '[:i ab+bc]', 're_tests 193 (#233)');
# 278: 'ab{1,}bc'i	ABQ	n	-	-
p6rule_isnt('ABQ', '[:i ab**{1...}bc]', 're_tests 194 (#234)');
# 279: 'ab+bc'i	ABBBBC	y	$&	ABBBBC
p6rule_like('ABBBBC', '[:i ab+bc]', qr/0: <\QABBBBC\E @/, 're_tests 195/$0 (#235)');
# 280: 'ab{1,}?bc'i	ABBBBC	y	$&	ABBBBC
p6rule_like('ABBBBC', '[:i ab**{1...}?bc]', qr/0: <\QABBBBC\E @/, 're_tests 196/$0 (#236)');
# 281: 'ab{1,3}?bc'i	ABBBBC	y	$&	ABBBBC
p6rule_like('ABBBBC', '[:i ab**{1..3}?bc]', qr/0: <\QABBBBC\E @/, 're_tests 197/$0 (#237)');
# 282: 'ab{3,4}?bc'i	ABBBBC	y	$&	ABBBBC
p6rule_like('ABBBBC', '[:i ab**{3..4}?bc]', qr/0: <\QABBBBC\E @/, 're_tests 198/$0 (#238)');
# 283: 'ab{4,5}?bc'i	ABBBBC	n	-	-
p6rule_isnt('ABBBBC', '[:i ab**{4..5}?bc]', 're_tests 199 (#239)');
# 284: 'ab??bc'i	ABBC	y	$&	ABBC
p6rule_like('ABBC', '[:i ab??bc]', qr/0: <\QABBC\E @/, 're_tests 200/$0 (#240)');
# 285: 'ab??bc'i	ABC	y	$&	ABC
p6rule_like('ABC', '[:i ab??bc]', qr/0: <\QABC\E @/, 're_tests 201/$0 (#241)');
# 286: 'ab{0,1}?bc'i	ABC	y	$&	ABC
p6rule_like('ABC', '[:i ab**{0..1}?bc]', qr/0: <\QABC\E @/, 're_tests 202/$0 (#242)');
# 287: 'ab??bc'i	ABBBBC	n	-	-
p6rule_isnt('ABBBBC', '[:i ab??bc]', 're_tests 203 (#243)');
# 288: 'ab??c'i	ABC	y	$&	ABC
p6rule_like('ABC', '[:i ab??c]', qr/0: <\QABC\E @/, 're_tests 204/$0 (#244)');
# 289: 'ab{0,1}?c'i	ABC	y	$&	ABC
p6rule_like('ABC', '[:i ab**{0..1}?c]', qr/0: <\QABC\E @/, 're_tests 205/$0 (#245)');
# 290: '^abc$'i	ABC	y	$&	ABC
p6rule_like('ABC', '[:i ^abc$]', qr/0: <\QABC\E @/, 're_tests 206/$0 (#246)');
# 291: '^abc$'i	ABCC	n	-	-
p6rule_isnt('ABCC', '[:i ^abc$]', 're_tests 207 (#247)');
# 292: '^abc'i	ABCC	y	$&	ABC
p6rule_like('ABCC', '[:i ^abc]', qr/0: <\QABC\E @/, 're_tests 208/$0 (#248)');
# 293: '^abc$'i	AABC	n	-	-
p6rule_isnt('AABC', '[:i ^abc$]', 're_tests 209 (#249)');
# 294: 'abc$'i	AABC	y	$&	ABC
p6rule_like('AABC', '[:i abc$]', qr/0: <\QABC\E @/, 're_tests 210/$0 (#250)');
# 295: '^'i	ABC	y	$&	
p6rule_like('ABC', '[:i ^]', qr/0: <\Q\E @/, 're_tests 211/$0 (#251)');
# 296: '$'i	ABC	y	$&	
p6rule_like('ABC', '[:i $]', qr/0: <\Q\E @/, 're_tests 212/$0 (#252)');
# 297: 'a.c'i	ABC	y	$&	ABC
p6rule_like('ABC', '[:i a\Nc]', qr/0: <\QABC\E @/, 're_tests 213/$0 (#253)');
# 298: 'a.c'i	AXC	y	$&	AXC
p6rule_like('AXC', '[:i a\Nc]', qr/0: <\QAXC\E @/, 're_tests 214/$0 (#254)');
# 299: 'a.*?c'i	AXYZC	y	$&	AXYZC
p6rule_like('AXYZC', '[:i a\N*?c]', qr/0: <\QAXYZC\E @/, 're_tests 215/$0 (#255)');
# 300: 'a.*c'i	AXYZD	n	-	-
p6rule_isnt('AXYZD', '[:i a\N*c]', 're_tests 216 (#256)');
# 301: 'a[bc]d'i	ABC	n	-	-
p6rule_isnt('ABC', '[:i a<[bc]>d]', 're_tests 217 (#257)');
# 302: 'a[bc]d'i	ABD	y	$&	ABD
p6rule_like('ABD', '[:i a<[bc]>d]', qr/0: <\QABD\E @/, 're_tests 218/$0 (#258)');
# 303: 'a[b-d]e'i	ABD	n	-	-
p6rule_isnt('ABD', '[:i a<[b-d]>e]', 're_tests 219 (#259)');
# 304: 'a[b-d]e'i	ACE	y	$&	ACE
p6rule_like('ACE', '[:i a<[b-d]>e]', qr/0: <\QACE\E @/, 're_tests 220/$0 (#260)');
# 305: 'a[b-d]'i	AAC	y	$&	AC
p6rule_like('AAC', '[:i a<[b-d]>]', qr/0: <\QAC\E @/, 're_tests 221/$0 (#261)');
# 306: 'a[-b]'i	A-	y	$&	A-
p6rule_like('A-', '[:i a<[-b]>]', qr/0: <\QA-\E @/, 're_tests 222/$0 (#262)');
# 307: 'a[b-]'i	A-	y	$&	A-
p6rule_like('A-', '[:i a<[b-]>]', qr/0: <\QA-\E @/, 're_tests 223/$0 (#263)');
# 308: 'a[b-a]'i	-	c	-	Invalid [] range "b-a"
# -- SKIPPED - TESTS ERROR MESSAGE
# 309: 'a[]b'i	-	c	-	Unmatched [
# -- SKIPPED - TESTS ERROR MESSAGE
# 310: 'a['i	-	c	-	Unmatched [
# -- SKIPPED - TESTS ERROR MESSAGE
# 311: 'a]'i	A]	y	$&	A]
p6rule_like('A]', '[:i a]]', qr/0: <\QA]\E @/, 're_tests 224/$0 (#264)');
# 312: 'a[]]b'i	A]B	y	$&	A]B
p6rule_like('A]B', '[:i a<[]>]b]', qr/0: <\QA]B\E @/, 're_tests 225/$0 (#265)');
# 313: 'a[^bc]d'i	AED	y	$&	AED
p6rule_like('AED', '[:i a<[^bc]>d]', qr/0: <\QAED\E @/, 're_tests 226/$0 (#266)');
# 314: 'a[^bc]d'i	ABD	n	-	-
p6rule_isnt('ABD', '[:i a<[^bc]>d]', 're_tests 227 (#267)');
# 315: 'a[^-b]c'i	ADC	y	$&	ADC
p6rule_like('ADC', '[:i a<[^-b]>c]', qr/0: <\QADC\E @/, 're_tests 228/$0 (#268)');
# 316: 'a[^-b]c'i	A-C	n	-	-
p6rule_isnt('A-C', '[:i a<[^-b]>c]', 're_tests 229 (#269)');
# 317: 'a[^]b]c'i	A]C	n	-	-
p6rule_isnt('A]C', '[:i a<[^]>b]c]', 're_tests 230 (#270)');
# 318: 'a[^]b]c'i	ADC	y	$&	ADC
p6rule_like('ADC', '[:i a<[^]>b]c]', qr/0: <\QADC\E @/, 're_tests 231/$0 (#271)');
# 319: 'ab|cd'i	ABC	y	$&	AB
p6rule_like('ABC', '[:i ab|cd]', qr/0: <\QAB\E @/, 're_tests 232/$0 (#272)');
# 320: 'ab|cd'i	ABCD	y	$&	AB
p6rule_like('ABCD', '[:i ab|cd]', qr/0: <\QAB\E @/, 're_tests 233/$0 (#273)');
# 321: '()ef'i	DEF	y	$&-$1	EF-
p6rule_like('DEF', '[:i ()ef]', qr/0: <\QEF\E @/, 're_tests 234/$0 (#274)');
p6rule_like('DEF', '[:i ()ef]', qr/1: <\Q\E @/, 're_tests 234/$1 (#275)');
# 322: '*a'i	-	c	-	Quantifier follows nothing
# -- SKIPPED - TESTS ERROR MESSAGE
# 323: '(*)b'i	-	c	-	Quantifier follows nothing
# -- SKIPPED - TESTS ERROR MESSAGE
# 324: '$b'i	B	n	-	-
p6rule_isnt('B', '[:i $b]', 're_tests 235 (#276)');
# 325: 'a\'i	-	c	-	Search pattern not terminated
# -- SKIPPED - TESTS ERROR MESSAGE
# 326: 'a\(b'i	A(B	y	$&-$1	A(B-
p6rule_like('A(B', '[:i a\(b]', qr/0: <\QA(B\E @/, 're_tests 236/$0 (#277)');
p6rule_like('A(B', '[:i a\(b]', qr/1: <\Q\E @/, 're_tests 236/$1 (#278)');
# 327: 'a\(*b'i	AB	y	$&	AB
p6rule_like('AB', '[:i a\(*b]', qr/0: <\QAB\E @/, 're_tests 237/$0 (#279)');
# 328: 'a\(*b'i	A((B	y	$&	A((B
p6rule_like('A((B', '[:i a\(*b]', qr/0: <\QA((B\E @/, 're_tests 238/$0 (#280)');
# 329: 'a\\b'i	A\B	y	$&	A\B
p6rule_like('A\B', '[:i a\\b]', qr/0: <\QA\B\E @/, 're_tests 239/$0 (#281)');
# 330: 'abc)'i	-	c	-	Unmatched )
# -- SKIPPED - TESTS ERROR MESSAGE
# 331: '(abc'i	-	c	-	Unmatched (
# -- SKIPPED - TESTS ERROR MESSAGE
# 332: '((a))'i	ABC	y	$&-$1-$2	A-A-A
p6rule_like('ABC', '[:i ((a))]', qr/0: <\QA\E @/, 're_tests 240/$0 (#282)');
p6rule_like('ABC', '[:i ((a))]', qr/1: <\QA\E @/, 're_tests 240/$1 (#283)');
p6rule_like('ABC', '[:i ((a))]', qr/2: <\QA\E @/, 're_tests 240/$2 (#284)');
# 333: '(a)b(c)'i	ABC	y	$&-$1-$2	ABC-A-C
p6rule_like('ABC', '[:i (a)b(c)]', qr/0: <\QABC\E @/, 're_tests 241/$0 (#285)');
p6rule_like('ABC', '[:i (a)b(c)]', qr/1: <\QA\E @/, 're_tests 241/$1 (#286)');
p6rule_like('ABC', '[:i (a)b(c)]', qr/2: <\QC\E @/, 're_tests 241/$2 (#287)');
# 334: 'a+b+c'i	AABBABC	y	$&	ABC
p6rule_like('AABBABC', '[:i a+b+c]', qr/0: <\QABC\E @/, 're_tests 242/$0 (#288)');
# 335: 'a{1,}b{1,}c'i	AABBABC	y	$&	ABC
p6rule_like('AABBABC', '[:i a**{1...}b**{1...}c]', qr/0: <\QABC\E @/, 're_tests 243/$0 (#289)');
# 336: 'a**'i	-	c	-	Nested quantifiers
# -- SKIPPED - TESTS ERROR MESSAGE
# 337: 'a.+?c'i	ABCABC	y	$&	ABC
p6rule_like('ABCABC', '[:i a\N+?c]', qr/0: <\QABC\E @/, 're_tests 244/$0 (#290)');
# 338: 'a.*?c'i	ABCABC	y	$&	ABC
p6rule_like('ABCABC', '[:i a\N*?c]', qr/0: <\QABC\E @/, 're_tests 245/$0 (#291)');
# 339: 'a.{0,5}?c'i	ABCABC	y	$&	ABC
p6rule_like('ABCABC', '[:i a\N**{0..5}?c]', qr/0: <\QABC\E @/, 're_tests 246/$0 (#292)');
# 340: '(a+|b)*'i	AB	y	$&-$1	AB-B
p6rule_like('AB', '[:i (a+|b)*]', qr/0: <\QAB\E @/, 're_tests 247/$0 (#293)');
p6rule_like('AB', '[:i (a+|b)*]', qr/1: <\QB\E @/, 're_tests 247/$1 (#294)');
# 341: '(a+|b){0,}'i	AB	y	$&-$1	AB-B
p6rule_like('AB', '[:i (a+|b)**{0...}]', qr/0: <\QAB\E @/, 're_tests 248/$0 (#295)');
p6rule_like('AB', '[:i (a+|b)**{0...}]', qr/1: <\QB\E @/, 're_tests 248/$1 (#296)');
# 342: '(a+|b)+'i	AB	y	$&-$1	AB-B
p6rule_like('AB', '[:i (a+|b)+]', qr/0: <\QAB\E @/, 're_tests 249/$0 (#297)');
p6rule_like('AB', '[:i (a+|b)+]', qr/1: <\QB\E @/, 're_tests 249/$1 (#298)');
# 343: '(a+|b){1,}'i	AB	y	$&-$1	AB-B
p6rule_like('AB', '[:i (a+|b)**{1...}]', qr/0: <\QAB\E @/, 're_tests 250/$0 (#299)');
p6rule_like('AB', '[:i (a+|b)**{1...}]', qr/1: <\QB\E @/, 're_tests 250/$1 (#300)');
# 344: '(a+|b)?'i	AB	y	$&-$1	A-A
p6rule_like('AB', '[:i (a+|b)?]', qr/0: <\QA\E @/, 're_tests 251/$0 (#301)');
p6rule_like('AB', '[:i (a+|b)?]', qr/1: <\QA\E @/, 're_tests 251/$1 (#302)');
# 345: '(a+|b){0,1}'i	AB	y	$&-$1	A-A
p6rule_like('AB', '[:i (a+|b)**{0..1}]', qr/0: <\QA\E @/, 're_tests 252/$0 (#303)');
p6rule_like('AB', '[:i (a+|b)**{0..1}]', qr/1: <\QA\E @/, 're_tests 252/$1 (#304)');
# 346: '(a+|b){0,1}?'i	AB	y	$&-$1	-
p6rule_like('AB', '[:i (a+|b)**{0..1}?]', qr/0: <\Q\E @/, 're_tests 253/$0 (#305)');
p6rule_like('AB', '[:i (a+|b)**{0..1}?]', qr/1: <\Q\E @/, 're_tests 253/$1 (#306)');
# 347: ')('i	-	c	-	Unmatched )
# -- SKIPPED - TESTS ERROR MESSAGE
# 348: '[^ab]*'i	CDE	y	$&	CDE
p6rule_like('CDE', '[:i <[^ab]>*]', qr/0: <\QCDE\E @/, 're_tests 254/$0 (#307)');
# 349: 'abc'i		n	-	-
p6rule_isnt('', '[:i abc]', 're_tests 255 (#308)');
# 350: 'a*'i		y	$&	
p6rule_like('', '[:i a*]', qr/0: <\Q\E @/, 're_tests 256/$0 (#309)');
# 351: '([abc])*d'i	ABBBCD	y	$&-$1	ABBBCD-C
p6rule_like('ABBBCD', '[:i (<[abc]>)*d]', qr/0: <\QABBBCD\E @/, 're_tests 257/$0 (#310)');
p6rule_like('ABBBCD', '[:i (<[abc]>)*d]', qr/1: <\QC\E @/, 're_tests 257/$1 (#311)');
# 352: '([abc])*bcd'i	ABCD	y	$&-$1	ABCD-A
p6rule_like('ABCD', '[:i (<[abc]>)*bcd]', qr/0: <\QABCD\E @/, 're_tests 258/$0 (#312)');
p6rule_like('ABCD', '[:i (<[abc]>)*bcd]', qr/1: <\QA\E @/, 're_tests 258/$1 (#313)');
# 353: 'a|b|c|d|e'i	E	y	$&	E
p6rule_like('E', '[:i a|b|c|d|e]', qr/0: <\QE\E @/, 're_tests 259/$0 (#314)');
# 354: '(a|b|c|d|e)f'i	EF	y	$&-$1	EF-E
p6rule_like('EF', '[:i (a|b|c|d|e)f]', qr/0: <\QEF\E @/, 're_tests 260/$0 (#315)');
p6rule_like('EF', '[:i (a|b|c|d|e)f]', qr/1: <\QE\E @/, 're_tests 260/$1 (#316)');
# 355: 'abcd*efg'i	ABCDEFG	y	$&	ABCDEFG
p6rule_like('ABCDEFG', '[:i abcd*efg]', qr/0: <\QABCDEFG\E @/, 're_tests 261/$0 (#317)');
# 356: 'ab*'i	XABYABBBZ	y	$&	AB
p6rule_like('XABYABBBZ', '[:i ab*]', qr/0: <\QAB\E @/, 're_tests 262/$0 (#318)');
# 357: 'ab*'i	XAYABBBZ	y	$&	A
p6rule_like('XAYABBBZ', '[:i ab*]', qr/0: <\QA\E @/, 're_tests 263/$0 (#319)');
# 358: '(ab|cd)e'i	ABCDE	y	$&-$1	CDE-CD
p6rule_like('ABCDE', '[:i (ab|cd)e]', qr/0: <\QCDE\E @/, 're_tests 264/$0 (#320)');
p6rule_like('ABCDE', '[:i (ab|cd)e]', qr/1: <\QCD\E @/, 're_tests 264/$1 (#321)');
# 359: '[abhgefdc]ij'i	HIJ	y	$&	HIJ
p6rule_like('HIJ', '[:i <[abhgefdc]>ij]', qr/0: <\QHIJ\E @/, 're_tests 265/$0 (#322)');
# 360: '^(ab|cd)e'i	ABCDE	n	x$1y	XY
# SKIPPED: script doesn't understand `x$1y' yet
# 361: '(abc|)ef'i	ABCDEF	y	$&-$1	EF-
p6rule_like('ABCDEF', '[:i (abc|)ef]', qr/0: <\QEF\E @/, 're_tests 266/$0 (#323)');
p6rule_like('ABCDEF', '[:i (abc|)ef]', qr/1: <\Q\E @/, 're_tests 266/$1 (#324)');
# 362: '(a|b)c*d'i	ABCD	y	$&-$1	BCD-B
p6rule_like('ABCD', '[:i (a|b)c*d]', qr/0: <\QBCD\E @/, 're_tests 267/$0 (#325)');
p6rule_like('ABCD', '[:i (a|b)c*d]', qr/1: <\QB\E @/, 're_tests 267/$1 (#326)');
# 363: '(ab|ab*)bc'i	ABC	y	$&-$1	ABC-A
p6rule_like('ABC', '[:i (ab|ab*)bc]', qr/0: <\QABC\E @/, 're_tests 268/$0 (#327)');
p6rule_like('ABC', '[:i (ab|ab*)bc]', qr/1: <\QA\E @/, 're_tests 268/$1 (#328)');
# 364: 'a([bc]*)c*'i	ABC	y	$&-$1	ABC-BC
p6rule_like('ABC', '[:i a(<[bc]>*)c*]', qr/0: <\QABC\E @/, 're_tests 269/$0 (#329)');
p6rule_like('ABC', '[:i a(<[bc]>*)c*]', qr/1: <\QBC\E @/, 're_tests 269/$1 (#330)');
# 365: 'a([bc]*)(c*d)'i	ABCD	y	$&-$1-$2	ABCD-BC-D
p6rule_like('ABCD', '[:i a(<[bc]>*)(c*d)]', qr/0: <\QABCD\E @/, 're_tests 270/$0 (#331)');
p6rule_like('ABCD', '[:i a(<[bc]>*)(c*d)]', qr/1: <\QBC\E @/, 're_tests 270/$1 (#332)');
p6rule_like('ABCD', '[:i a(<[bc]>*)(c*d)]', qr/2: <\QD\E @/, 're_tests 270/$2 (#333)');
# 366: 'a([bc]+)(c*d)'i	ABCD	y	$&-$1-$2	ABCD-BC-D
p6rule_like('ABCD', '[:i a(<[bc]>+)(c*d)]', qr/0: <\QABCD\E @/, 're_tests 271/$0 (#334)');
p6rule_like('ABCD', '[:i a(<[bc]>+)(c*d)]', qr/1: <\QBC\E @/, 're_tests 271/$1 (#335)');
p6rule_like('ABCD', '[:i a(<[bc]>+)(c*d)]', qr/2: <\QD\E @/, 're_tests 271/$2 (#336)');
# 367: 'a([bc]*)(c+d)'i	ABCD	y	$&-$1-$2	ABCD-B-CD
p6rule_like('ABCD', '[:i a(<[bc]>*)(c+d)]', qr/0: <\QABCD\E @/, 're_tests 272/$0 (#337)');
p6rule_like('ABCD', '[:i a(<[bc]>*)(c+d)]', qr/1: <\QB\E @/, 're_tests 272/$1 (#338)');
p6rule_like('ABCD', '[:i a(<[bc]>*)(c+d)]', qr/2: <\QCD\E @/, 're_tests 272/$2 (#339)');
# 368: 'a[bcd]*dcdcde'i	ADCDCDE	y	$&	ADCDCDE
p6rule_like('ADCDCDE', '[:i a<[bcd]>*dcdcde]', qr/0: <\QADCDCDE\E @/, 're_tests 273/$0 (#340)');
# 369: 'a[bcd]+dcdcde'i	ADCDCDE	n	-	-
p6rule_isnt('ADCDCDE', '[:i a<[bcd]>+dcdcde]', 're_tests 274 (#341)');
# 370: '(ab|a)b*c'i	ABC	y	$&-$1	ABC-AB
p6rule_like('ABC', '[:i (ab|a)b*c]', qr/0: <\QABC\E @/, 're_tests 275/$0 (#342)');
p6rule_like('ABC', '[:i (ab|a)b*c]', qr/1: <\QAB\E @/, 're_tests 275/$1 (#343)');
# 371: '((a)(b)c)(d)'i	ABCD	y	$1-$2-$3-$4	ABC-A-B-D
# SKIPPED: script doesn't understand `$1-$2-$3-$4' yet
# 372: '[a-zA-Z_][a-zA-Z0-9_]*'i	ALPHA	y	$&	ALPHA
p6rule_like('ALPHA', '[:i <[a-zA-Z_]><[a-zA-Z0-9_]>*]', qr/0: <\QALPHA\E @/, 're_tests 276/$0 (#344)');
# 373: '^a(bc+|b[eh])g|.h$'i	ABH	y	$&-$1	BH-
p6rule_like('ABH', '[:i ^a(bc+|b<[eh]>)g|\Nh$]', qr/0: <\QBH\E @/, 're_tests 277/$0 (#345)');
p6rule_like('ABH', '[:i ^a(bc+|b<[eh]>)g|\Nh$]', qr/1: <\Q\E @/, 're_tests 277/$1 (#346)');
# 374: '(bc+d$|ef*g.|h?i(j|k))'i	EFFGZ	y	$&-$1-$2	EFFGZ-EFFGZ-
p6rule_like('EFFGZ', '[:i (bc+d$|ef*g\N|h?i(j|k))]', qr/0: <\QEFFGZ\E @/, 're_tests 278/$0 (#347)');
p6rule_like('EFFGZ', '[:i (bc+d$|ef*g\N|h?i(j|k))]', qr/1: <\QEFFGZ\E @/, 're_tests 278/$1 (#348)');
p6rule_like('EFFGZ', '[:i (bc+d$|ef*g\N|h?i(j|k))]', qr/2: <\Q\E @/, 're_tests 278/$2 (#349)');
# 375: '(bc+d$|ef*g.|h?i(j|k))'i	IJ	y	$&-$1-$2	IJ-IJ-J
p6rule_like('IJ', '[:i (bc+d$|ef*g\N|h?i(j|k))]', qr/0: <\QIJ\E @/, 're_tests 279/$0 (#350)');
p6rule_like('IJ', '[:i (bc+d$|ef*g\N|h?i(j|k))]', qr/1: <\QIJ\E @/, 're_tests 279/$1 (#351)');
p6rule_like('IJ', '[:i (bc+d$|ef*g\N|h?i(j|k))]', qr/2: <\QJ\E @/, 're_tests 279/$2 (#352)');
# 376: '(bc+d$|ef*g.|h?i(j|k))'i	EFFG	n	-	-
p6rule_isnt('EFFG', '[:i (bc+d$|ef*g\N|h?i(j|k))]', 're_tests 280 (#353)');
# 377: '(bc+d$|ef*g.|h?i(j|k))'i	BCDD	n	-	-
p6rule_isnt('BCDD', '[:i (bc+d$|ef*g\N|h?i(j|k))]', 're_tests 281 (#354)');
# 378: '(bc+d$|ef*g.|h?i(j|k))'i	REFFGZ	y	$&-$1-$2	EFFGZ-EFFGZ-
p6rule_like('REFFGZ', '[:i (bc+d$|ef*g\N|h?i(j|k))]', qr/0: <\QEFFGZ\E @/, 're_tests 282/$0 (#355)');
p6rule_like('REFFGZ', '[:i (bc+d$|ef*g\N|h?i(j|k))]', qr/1: <\QEFFGZ\E @/, 're_tests 282/$1 (#356)');
p6rule_like('REFFGZ', '[:i (bc+d$|ef*g\N|h?i(j|k))]', qr/2: <\Q\E @/, 're_tests 282/$2 (#357)');
# 379: '((((((((((a))))))))))'i	A	y	$10	A
p6rule_like('A', '[:i ((((((((((a))))))))))]', qr/10: <\QA\E @/, 're_tests 283/$10 (#358)');
# 380: '((((((((((a))))))))))\10'i	AA	y	$&	AA
p6rule_like('AA', '[:i ((((((((((a))))))))))$10]', qr/0: <\QAA\E @/, 're_tests 284/$0 (#359)');
# 381: '((((((((((a))))))))))${bang}'i	AA	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support this yet
# 382: '((((((((((a))))))))))${bang}'i	A!	y	$&	A!
# -- SKIPPED - p5re_to_p6rule doesn't support this yet
# 383: '(((((((((a)))))))))'i	A	y	$&	A
p6rule_like('A', '[:i (((((((((a)))))))))]', qr/0: <\QA\E @/, 're_tests 285/$0 (#360)');
# 384: '(?:(?:(?:(?:(?:(?:(?:(?:(?:(a))))))))))'i	A	y	$1	A
p6rule_like('A', '[:i [[[[[[[[[(a)]]]]]]]]]]', qr/1: <\QA\E @/, 're_tests 286/$1 (#361)');
# 385: '(?:(?:(?:(?:(?:(?:(?:(?:(?:(a|b|c))))))))))'i	C	y	$1	C
p6rule_like('C', '[:i [[[[[[[[[(a|b|c)]]]]]]]]]]', qr/1: <\QC\E @/, 're_tests 287/$1 (#362)');
# 386: 'multiple words of text'i	UH-UH	n	-	-
p6rule_isnt('UH-UH', '[:i multiple<sp>words<sp>of<sp>text]', 're_tests 288 (#363)');
# 387: 'multiple words'i	MULTIPLE WORDS, YEAH	y	$&	MULTIPLE WORDS
p6rule_like('MULTIPLE WORDS, YEAH', '[:i multiple<sp>words]', qr/0: <\QMULTIPLE WORDS\E @/, 're_tests 289/$0 (#364)');
# 388: '(.*)c(.*)'i	ABCDE	y	$&-$1-$2	ABCDE-AB-DE
p6rule_like('ABCDE', '[:i (\N*)c(\N*)]', qr/0: <\QABCDE\E @/, 're_tests 290/$0 (#365)');
p6rule_like('ABCDE', '[:i (\N*)c(\N*)]', qr/1: <\QAB\E @/, 're_tests 290/$1 (#366)');
p6rule_like('ABCDE', '[:i (\N*)c(\N*)]', qr/2: <\QDE\E @/, 're_tests 290/$2 (#367)');
# 389: '\((.*), (.*)\)'i	(A, B)	y	($2, $1)	(B, A)
# SKIPPED: script doesn't understand `($2, $1)' yet
# 390: '[k]'i	AB	n	-	-
p6rule_isnt('AB', '[:i <[k]>]', 're_tests 291 (#368)');
# 391: 'abcd'i	ABCD	y	$&-\$&-\\$&	ABCD-$&-\ABCD
# SKIPPED: script doesn't understand `$&-\$&-\\$&' yet
# 392: 'a(bc)d'i	ABCD	y	$1-\$1-\\$1	BC-$1-\BC
# SKIPPED: script doesn't understand `$1-\$1-\\$1' yet
# 393: 'a[-]?c'i	AC	y	$&	AC
p6rule_like('AC', '[:i a<[-]>?c]', qr/0: <\QAC\E @/, 're_tests 292/$0 (#369)');
# 394: '(abc)\1'i	ABCABC	y	$1	ABC
p6rule_like('ABCABC', '[:i (abc)$1]', qr/1: <\QABC\E @/, 're_tests 293/$1 (#370)');
# 395: '([a-c]*)\1'i	ABCABC	y	$1	ABC
p6rule_like('ABCABC', '[:i (<[a-c]>*)$1]', qr/1: <\QABC\E @/, 're_tests 294/$1 (#371)');
# 396: a(?!b).	abad	y	$&	ad
p6rule_like('abad', 'a<!before b>\N', qr/0: <\Qad\E @/, 're_tests 295/$0 (#372)');
# 397: a(?=d).	abad	y	$&	ad
p6rule_like('abad', 'a<before d>\N', qr/0: <\Qad\E @/, 're_tests 296/$0 (#373)');
# 398: a(?=c|d).	abad	y	$&	ad
p6rule_like('abad', 'a<before c|d>\N', qr/0: <\Qad\E @/, 're_tests 297/$0 (#374)');
# 399: a(?:b|c|d)(.)	ace	y	$1	e
p6rule_like('ace', 'a[b|c|d](\N)', qr/1: <\Qe\E @/, 're_tests 298/$1 (#375)');
# 400: a(?:b|c|d)*(.)	ace	y	$1	e
p6rule_like('ace', 'a[b|c|d]*(\N)', qr/1: <\Qe\E @/, 're_tests 299/$1 (#376)');
# 401: a(?:b|c|d)+?(.)	ace	y	$1	e
p6rule_like('ace', 'a[b|c|d]+?(\N)', qr/1: <\Qe\E @/, 're_tests 300/$1 (#377)');
# 402: a(?:b|c|d)+?(.)	acdbcdbe	y	$1	d
p6rule_like('acdbcdbe', 'a[b|c|d]+?(\N)', qr/1: <\Qd\E @/, 're_tests 301/$1 (#378)');
# 403: a(?:b|c|d)+(.)	acdbcdbe	y	$1	e
p6rule_like('acdbcdbe', 'a[b|c|d]+(\N)', qr/1: <\Qe\E @/, 're_tests 302/$1 (#379)');
# 404: a(?:b|c|d){2}(.)	acdbcdbe	y	$1	b
p6rule_like('acdbcdbe', 'a[b|c|d]**{2}(\N)', qr/1: <\Qb\E @/, 're_tests 303/$1 (#380)');
# 405: a(?:b|c|d){4,5}(.)	acdbcdbe	y	$1	b
p6rule_like('acdbcdbe', 'a[b|c|d]**{4..5}(\N)', qr/1: <\Qb\E @/, 're_tests 304/$1 (#381)');
# 406: a(?:b|c|d){4,5}?(.)	acdbcdbe	y	$1	d
p6rule_like('acdbcdbe', 'a[b|c|d]**{4..5}?(\N)', qr/1: <\Qd\E @/, 're_tests 305/$1 (#382)');
# 407: ((foo)|(bar))*	foobar	y	$1-$2-$3	bar-foo-bar
# SKIPPED: script doesn't understand `$1-$2-$3' yet
# 408: :(?:	-	c	-	Sequence (? incomplete
# -- SKIPPED - TESTS ERROR MESSAGE
# 409: a(?:b|c|d){6,7}(.)	acdbcdbe	y	$1	e
p6rule_like('acdbcdbe', 'a[b|c|d]**{6..7}(\N)', qr/1: <\Qe\E @/, 're_tests 306/$1 (#383)');
# 410: a(?:b|c|d){6,7}?(.)	acdbcdbe	y	$1	e
p6rule_like('acdbcdbe', 'a[b|c|d]**{6..7}?(\N)', qr/1: <\Qe\E @/, 're_tests 307/$1 (#384)');
# 411: a(?:b|c|d){5,6}(.)	acdbcdbe	y	$1	e
p6rule_like('acdbcdbe', 'a[b|c|d]**{5..6}(\N)', qr/1: <\Qe\E @/, 're_tests 308/$1 (#385)');
# 412: a(?:b|c|d){5,6}?(.)	acdbcdbe	y	$1	b
p6rule_like('acdbcdbe', 'a[b|c|d]**{5..6}?(\N)', qr/1: <\Qb\E @/, 're_tests 309/$1 (#386)');
# 413: a(?:b|c|d){5,7}(.)	acdbcdbe	y	$1	e
p6rule_like('acdbcdbe', 'a[b|c|d]**{5..7}(\N)', qr/1: <\Qe\E @/, 're_tests 310/$1 (#387)');
# 414: a(?:b|c|d){5,7}?(.)	acdbcdbe	y	$1	b
p6rule_like('acdbcdbe', 'a[b|c|d]**{5..7}?(\N)', qr/1: <\Qb\E @/, 're_tests 311/$1 (#388)');
# 415: a(?:b|(c|e){1,2}?|d)+?(.)	ace	y	$1$2	ce
# SKIPPED: script doesn't understand `$1$2' yet
# 416: ^(.+)?B	AB	y	$1	A
p6rule_like('AB', '^(\N+)?B', qr/1: <\QA\E @/, 're_tests 312/$1 (#389)');
# 417: ^([^a-z])|(\^)$	.	y	$1	.
p6rule_like('.', '^(<[^a-z]>)|(\^)$', qr/1: <\Q.\E @/, 're_tests 313/$1 (#390)');
# 418: ^[<>]&	<&OUT	y	$&	<&
p6rule_like('<&OUT', '^<[<>]>\&', qr/0: <\Q<&\E @/, 're_tests 314/$0 (#391)');
# 419: ^(a\1?){4}$	aaaaaaaaaa	y	$1	aaaa
p6rule_like('aaaaaaaaaa', '^(a$1?)**{4}$', qr/1: <\Qaaaa\E @/, 're_tests 315/$1 (#392)');
# 420: ^(a\1?){4}$	aaaaaaaaa	n	-	-
p6rule_isnt('aaaaaaaaa', '^(a$1?)**{4}$', 're_tests 316 (#393)');
# 421: ^(a\1?){4}$	aaaaaaaaaaa	n	-	-
p6rule_isnt('aaaaaaaaaaa', '^(a$1?)**{4}$', 're_tests 317 (#394)');
# 422: ^(a(?(1)\1)){4}$	aaaaaaaaaa	y	$1	aaaa
p6rule_like('aaaaaaaaaa', '^(a[ <(defined $1)> :: $1 ])**{4}$', qr/1: <\Qaaaa\E @/, 're_tests 318/$1 (#395)');
# 423: ^(a(?(1)\1)){4}$	aaaaaaaaa	n	-	-
p6rule_isnt('aaaaaaaaa', '^(a[ <(defined $1)> :: $1 ])**{4}$', 're_tests 319 (#396)');
# 424: ^(a(?(1)\1)){4}$	aaaaaaaaaaa	n	-	-
p6rule_isnt('aaaaaaaaaaa', '^(a[ <(defined $1)> :: $1 ])**{4}$', 're_tests 320 (#397)');
# 425: ((a{4})+)	aaaaaaaaa	y	$1	aaaaaaaa
p6rule_like('aaaaaaaaa', '((a**{4})+)', qr/1: <\Qaaaaaaaa\E @/, 're_tests 321/$1 (#398)');
# 426: (((aa){2})+)	aaaaaaaaaa	y	$1	aaaaaaaa
p6rule_like('aaaaaaaaaa', '(((aa)**{2})+)', qr/1: <\Qaaaaaaaa\E @/, 're_tests 322/$1 (#399)');
# 427: (((a{2}){2})+)	aaaaaaaaaa	y	$1	aaaaaaaa
p6rule_like('aaaaaaaaaa', '(((a**{2})**{2})+)', qr/1: <\Qaaaaaaaa\E @/, 're_tests 323/$1 (#400)');
# 428: (?:(f)(o)(o)|(b)(a)(r))*	foobar	y	$1:$2:$3:$4:$5:$6	f:o:o:b:a:r
# SKIPPED: script doesn't understand `$1:$2:$3:$4:$5:$6' yet
# 429: (?<=a)b	ab	y	$&	b
p6rule_like('ab', '<after a>b', qr/0: <\Qb\E @/, 're_tests 324/$0 (#401)');
# 430: (?<=a)b	cb	n	-	-
p6rule_isnt('cb', '<after a>b', 're_tests 325 (#402)');
# 431: (?<=a)b	b	n	-	-
p6rule_isnt('b', '<after a>b', 're_tests 326 (#403)');
# 432: (?<!c)b	ab	y	$&	b
p6rule_like('ab', '<!after c>b', qr/0: <\Qb\E @/, 're_tests 327/$0 (#404)');
# 433: (?<!c)b	cb	n	-	-
p6rule_isnt('cb', '<!after c>b', 're_tests 328 (#405)');
# 434: (?<!c)b	b	y	-	-
p6rule_is  ('b', '<!after c>b', 're_tests 329  (#406)');
# 435: (?<!c)b	b	y	$&	b
p6rule_like('b', '<!after c>b', qr/0: <\Qb\E @/, 're_tests 330/$0 (#407)');
# 436: (?<%)b	-	c	-	Sequence (?<%...) not recognized
# -- SKIPPED - TESTS ERROR MESSAGE
# 437: (?:..)*a	aba	y	$&	aba
p6rule_like('aba', '[\N\N]*a', qr/0: <\Qaba\E @/, 're_tests 331/$0 (#408)');
# 438: (?:..)*?a	aba	y	$&	a
p6rule_like('aba', '[\N\N]*?a', qr/0: <\Qa\E @/, 're_tests 332/$0 (#409)');
# 439: ^(?:b|a(?=(.)))*\1	abc	y	$&	ab
p6rule_like('abc', '^[b|a<before (\N)>]*$1', qr/0: <\Qab\E @/, 're_tests 333/$0 (#410)');
# 440: ^(){3,5}	abc	y	a$1	a
# SKIPPED: script doesn't understand `a$1' yet
# 441: ^(a+)*ax	aax	y	$1	a
p6rule_like('aax', '^(a+)*ax', qr/1: <\Qa\E @/, 're_tests 334/$1 (#411)');
# 442: ^((a|b)+)*ax	aax	y	$1	a
p6rule_like('aax', '^((a|b)+)*ax', qr/1: <\Qa\E @/, 're_tests 335/$1 (#412)');
# 443: ^((a|bc)+)*ax	aax	y	$1	a
p6rule_like('aax', '^((a|bc)+)*ax', qr/1: <\Qa\E @/, 're_tests 336/$1 (#413)');
# 444: (a|x)*ab	cab	y	y$1	y
# SKIPPED: script doesn't understand `y$1' yet
# 445: (a)*ab	cab	y	y$1	y
# SKIPPED: script doesn't understand `y$1' yet
# 446: (?:(?i)a)b	ab	y	$&	ab
p6rule_like('ab', '[:i a]b', qr/0: <\Qab\E @/, 're_tests 337/$0 (#414)');
# 447: ((?i)a)b	ab	y	$&:$1	ab:a
p6rule_like('ab', '(:i a)b', qr/0: <\Qab\E @/, 're_tests 338/$0 (#415)');
p6rule_like('ab', '(:i a)b', qr/1: <\Qa\E @/, 're_tests 338/$1 (#416)');
# 448: (?:(?i)a)b	Ab	y	$&	Ab
p6rule_like('Ab', '[:i a]b', qr/0: <\QAb\E @/, 're_tests 339/$0 (#417)');
# 449: ((?i)a)b	Ab	y	$&:$1	Ab:A
p6rule_like('Ab', '(:i a)b', qr/0: <\QAb\E @/, 're_tests 340/$0 (#418)');
p6rule_like('Ab', '(:i a)b', qr/1: <\QA\E @/, 're_tests 340/$1 (#419)');
# 450: (?:(?i)a)b	aB	n	-	-
p6rule_isnt('aB', '[:i a]b', 're_tests 341 (#420)');
# 451: ((?i)a)b	aB	n	-	-
p6rule_isnt('aB', '(:i a)b', 're_tests 342 (#421)');
# 452: (?i:a)b	ab	y	$&	ab
p6rule_like('ab', '[:i a]b', qr/0: <\Qab\E @/, 're_tests 343/$0 (#422)');
# 453: ((?i:a))b	ab	y	$&:$1	ab:a
p6rule_like('ab', '([:i a])b', qr/0: <\Qab\E @/, 're_tests 344/$0 (#423)');
p6rule_like('ab', '([:i a])b', qr/1: <\Qa\E @/, 're_tests 344/$1 (#424)');
# 454: (?i:a)b	Ab	y	$&	Ab
p6rule_like('Ab', '[:i a]b', qr/0: <\QAb\E @/, 're_tests 345/$0 (#425)');
# 455: ((?i:a))b	Ab	y	$&:$1	Ab:A
p6rule_like('Ab', '([:i a])b', qr/0: <\QAb\E @/, 're_tests 346/$0 (#426)');
p6rule_like('Ab', '([:i a])b', qr/1: <\QA\E @/, 're_tests 346/$1 (#427)');
# 456: (?i:a)b	aB	n	-	-
p6rule_isnt('aB', '[:i a]b', 're_tests 347 (#428)');
# 457: ((?i:a))b	aB	n	-	-
p6rule_isnt('aB', '([:i a])b', 're_tests 348 (#429)');
# 458: '(?:(?-i)a)b'i	ab	y	$&	ab
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 459: '((?-i)a)b'i	ab	y	$&:$1	ab:a
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 460: '(?:(?-i)a)b'i	aB	y	$&	aB
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 461: '((?-i)a)b'i	aB	y	$&:$1	aB:a
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 462: '(?:(?-i)a)b'i	Ab	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 463: '((?-i)a)b'i	Ab	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 464: '(?:(?-i)a)b'i	aB	y	$&	aB
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 465: '((?-i)a)b'i	aB	y	$1	a
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 466: '(?:(?-i)a)b'i	AB	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 467: '((?-i)a)b'i	AB	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 468: '(?-i:a)b'i	ab	y	$&	ab
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 469: '((?-i:a))b'i	ab	y	$&:$1	ab:a
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 470: '(?-i:a)b'i	aB	y	$&	aB
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 471: '((?-i:a))b'i	aB	y	$&:$1	aB:a
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 472: '(?-i:a)b'i	Ab	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 473: '((?-i:a))b'i	Ab	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 474: '(?-i:a)b'i	aB	y	$&	aB
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 475: '((?-i:a))b'i	aB	y	$1	a
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 476: '(?-i:a)b'i	AB	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 477: '((?-i:a))b'i	AB	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 478: '((?-i:a.))b'i	a\nB	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 479: '((?s-i:a.))b'i	a\nB	y	$1	a\n
# -- SKIPPED - p5re_to_p6rule doesn't support `(?s...' yet
# 480: '((?s-i:a.))b'i	B\nB	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `(?s...' yet
# 481: (?:c|d)(?:)(?:a(?:)(?:b)(?:b(?:))(?:b(?:)(?:b)))	cabbbb	y	$&	cabbbb
p6rule_like('cabbbb', '[c|d][][a[][b][b[]][b[][b]]]', qr/0: <\Qcabbbb\E @/, 're_tests 349/$0 (#430)');
# 482: (?:c|d)(?:)(?:aaaaaaaa(?:)(?:bbbbbbbb)(?:bbbbbbbb(?:))(?:bbbbbbbb(?:)(?:bbbbbbbb)))	caaaaaaaabbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb	y	$&	caaaaaaaabbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
p6rule_like('caaaaaaaabbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb', '[c|d][][aaaaaaaa[][bbbbbbbb][bbbbbbbb[]][bbbbbbbb[][bbbbbbbb]]]', qr/0: <\Qcaaaaaaaabbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb\E @/, 're_tests 350/$0 (#431)');
# 483: '(ab)\d\1'i	Ab4ab	y	$1	Ab
p6rule_like('Ab4ab', '[:i (ab)\d$1]', qr/1: <\QAb\E @/, 're_tests 351/$1 (#432)');
# 484: '(ab)\d\1'i	ab4Ab	y	$1	ab
p6rule_like('ab4Ab', '[:i (ab)\d$1]', qr/1: <\Qab\E @/, 're_tests 352/$1 (#433)');
# 485: foo\w*\d{4}baz	foobar1234baz	y	$&	foobar1234baz
p6rule_like('foobar1234baz', 'foo\w*\d**{4}baz', qr/0: <\Qfoobar1234baz\E @/, 're_tests 353/$0 (#434)');
# 486: a(?{})b	cabd	y	$&	ab
# -- SKIPPED - p5re_to_p6rule doesn't support `(?{...' yet
# 487: a(?{)b	-	c	-	Sequence (?{...}) not terminated or not {}-balanced
# -- SKIPPED - TESTS ERROR MESSAGE
# 488: a(?{{})b	-	c	-	Sequence (?{...}) not terminated or not {}-balanced
# -- SKIPPED - TESTS ERROR MESSAGE
# 489: a(?{}})b	-	c	-	
# -- SKIPPED - TESTS ERROR MESSAGE
# 490: a(?{"{"})b	-	c	-	Sequence (?{...}) not terminated or not {}-balanced
# -- SKIPPED - TESTS ERROR MESSAGE
# 491: a(?{"\{"})b	cabd	y	$&	ab
# -- SKIPPED - p5re_to_p6rule doesn't support `(?{...' yet
# 492: a(?{"{"}})b	-	c	-	Unmatched right curly bracket
# -- SKIPPED - TESTS ERROR MESSAGE
# 493: a(?{$bl="\{"}).b	caxbd	y	$bl	{
# -- SKIPPED - p5re_to_p6rule doesn't support `(?{...' yet
# 494: x(~~)*(?:(?:F)?)?	x~~	y	-	-
p6rule_is  ('x~~', 'x(~~)*[[F]?]?', 're_tests 354  (#435)');
# 495: ^a(?#xxx){3}c	aaac	y	$&	aaac
# -- SKIPPED - p5re_to_p6rule doesn't support `(?#...' yet
# 496: '^a (?#xxx) (?#yyy) {3}c'x	aaac	y	$&	aaac
# -- SKIPPED - p5re_to_p6rule doesn't support `(?#...' yet
# 497: (?<![cd])b	dbcb	n	-	-
p6rule_isnt('dbcb', '<!after <[cd]>>b', 're_tests 355 (#436)');
# 498: (?<![cd])[ab]	dbaacb	y	$&	a
p6rule_like('dbaacb', '<!after <[cd]>><[ab]>', qr/0: <\Qa\E @/, 're_tests 356/$0 (#437)');
# 499: (?<!(c|d))b	dbcb	n	-	-
p6rule_isnt('dbcb', '<!after (c|d)>b', 're_tests 357 (#438)');
# 500: (?<!(c|d))[ab]	dbaacb	y	$&	a
p6rule_like('dbaacb', '<!after (c|d)><[ab]>', qr/0: <\Qa\E @/, 're_tests 358/$0 (#439)');
# 501: (?<!cd)[ab]	cdaccb	y	$&	b
p6rule_like('cdaccb', '<!after cd><[ab]>', qr/0: <\Qb\E @/, 're_tests 359/$0 (#440)');
# 502: ^(?:a?b?)*$	a--	n	-	-
p6rule_isnt('a--', '^[a?b?]*$', 're_tests 360 (#441)');
# 503: ((?s)^a(.))((?m)^b$)	a\nb\nc\n	y	$1;$2;$3	a\n;\n;b
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 504: ((?m)^b$)	a\nb\nc\n	y	$1	b
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 505: (?m)^b	a\nb\n	y	$&	b
# -- SKIPPED - p5re_to_p6rule doesn't support `(?m)' yet
# 506: (?m)^(b)	a\nb\n	y	$1	b
# -- SKIPPED - p5re_to_p6rule doesn't support `(?m)' yet
# 507: ((?m)^b)	a\nb\n	y	$1	b
# -- SKIPPED - p5re_to_p6rule doesn't support `(?m)' yet
# 508: \n((?m)^b)	a\nb\n	y	$1	b
# -- SKIPPED - p5re_to_p6rule doesn't support `(?m)' yet
# 509: ((?s).)c(?!.)	a\nb\nc\n	y	$1	\n
# -- SKIPPED - p5re_to_p6rule doesn't support `(?s...' yet
# 510: ((?s).)c(?!.)	a\nb\nc\n	y	$1:$&	\n:\nc
# -- SKIPPED - p5re_to_p6rule doesn't support `(?s...' yet
# 511: ((?s)b.)c(?!.)	a\nb\nc\n	y	$1	b\n
# -- SKIPPED - p5re_to_p6rule doesn't support `(?s...' yet
# 512: ((?s)b.)c(?!.)	a\nb\nc\n	y	$1:$&	b\n:b\nc
# -- SKIPPED - p5re_to_p6rule doesn't support `(?s...' yet
# 513: ^b	a\nb\nc\n	n	-	-
p6rule_isnt('a\nb\nc\n', '^b', 're_tests 361 (#442)');
# 514: ()^b	a\nb\nc\n	n	-	-
p6rule_isnt('a\nb\nc\n', '()^b', 're_tests 362 (#443)');
# 515: ((?m)^b)	a\nb\nc\n	y	$1	b
# -- SKIPPED - p5re_to_p6rule doesn't support `(?m)' yet
# 516: (?(1)a|b)	a	n	-	-
p6rule_isnt('a', '[ <(defined $1)> :: a|b ]', 're_tests 363 (#444)');
# 517: (?(1)b|a)	a	y	$&	a
p6rule_like('a', '[ <(defined $1)> :: b|a ]', qr/0: <\Qa\E @/, 're_tests 364/$0 (#445)');
# 518: (x)?(?(1)a|b)	a	n	-	-
p6rule_isnt('a', '(x)?[ <(defined $1)> :: a|b ]', 're_tests 365 (#446)');
# 519: (x)?(?(1)b|a)	a	y	$&	a
p6rule_like('a', '(x)?[ <(defined $1)> :: b|a ]', qr/0: <\Qa\E @/, 're_tests 366/$0 (#447)');
# 520: ()?(?(1)b|a)	a	y	$&	a
p6rule_like('a', '()?[ <(defined $1)> :: b|a ]', qr/0: <\Qa\E @/, 're_tests 367/$0 (#448)');
# 521: ()(?(1)b|a)	a	n	-	-
p6rule_isnt('a', '()[ <(defined $1)> :: b|a ]', 're_tests 368 (#449)');
# 522: ()?(?(1)a|b)	a	y	$&	a
p6rule_like('a', '()?[ <(defined $1)> :: a|b ]', qr/0: <\Qa\E @/, 're_tests 369/$0 (#450)');
# 523: ^(\()?blah(?(1)(\)))$	(blah)	y	$2	)
p6rule_like('(blah)', '^(\()?blah[ <(defined $1)> :: (\)) ]$', qr/2: <\Q)\E @/, 're_tests 370/$2 (#451)');
# 524: ^(\()?blah(?(1)(\)))$	blah	y	($2)	()
# SKIPPED: script doesn't understand `($2)' yet
# 525: ^(\()?blah(?(1)(\)))$	blah)	n	-	-
p6rule_isnt('blah)', '^(\()?blah[ <(defined $1)> :: (\)) ]$', 're_tests 371 (#452)');
# 526: ^(\()?blah(?(1)(\)))$	(blah	n	-	-
p6rule_isnt('(blah', '^(\()?blah[ <(defined $1)> :: (\)) ]$', 're_tests 372 (#453)');
# 527: ^(\(+)?blah(?(1)(\)))$	(blah)	y	$2	)
p6rule_like('(blah)', '^(\(+)?blah[ <(defined $1)> :: (\)) ]$', qr/2: <\Q)\E @/, 're_tests 373/$2 (#454)');
# 528: ^(\(+)?blah(?(1)(\)))$	blah	y	($2)	()
# SKIPPED: script doesn't understand `($2)' yet
# 529: ^(\(+)?blah(?(1)(\)))$	blah)	n	-	-
p6rule_isnt('blah)', '^(\(+)?blah[ <(defined $1)> :: (\)) ]$', 're_tests 374 (#455)');
# 530: ^(\(+)?blah(?(1)(\)))$	(blah	n	-	-
p6rule_isnt('(blah', '^(\(+)?blah[ <(defined $1)> :: (\)) ]$', 're_tests 375 (#456)');
# 531: (?(1?)a|b)	a	c	-	Switch condition not recognized
# -- SKIPPED - TESTS ERROR MESSAGE
# 532: (?(1)a|b|c)	a	c	-	Switch (?(condition)... contains too many branches
# -- SKIPPED - TESTS ERROR MESSAGE
# 533: (?(?{0})a|b)	a	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `(?{...' yet
# 534: (?(?{0})b|a)	a	y	$&	a
# -- SKIPPED - p5re_to_p6rule doesn't support `(?{...' yet
# 535: (?(?{1})b|a)	a	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `(?{...' yet
# 536: (?(?{1})a|b)	a	y	$&	a
# -- SKIPPED - p5re_to_p6rule doesn't support `(?{...' yet
# 537: (?(?!a)a|b)	a	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `(?(...' yet
# 538: (?(?!a)b|a)	a	y	$&	a
# -- SKIPPED - p5re_to_p6rule doesn't support `(?(...' yet
# 539: (?(?=a)b|a)	a	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `(?(...' yet
# 540: (?(?=a)a|b)	a	y	$&	a
# -- SKIPPED - p5re_to_p6rule doesn't support `(?(...' yet
# 541: (?=(a+?))(\1ab)	aaab	y	$2	aab
p6rule_like('aaab', '<before (a+?)>($1ab)', qr/2: <\Qaab\E @/, 're_tests 376/$2 (#457)');
# 542: ^(?=(a+?))\1ab	aaab	n	-	-
p6rule_isnt('aaab', '^<before (a+?)>$1ab', 're_tests 377 (#458)');
# 543: (\w+:)+	one:	y	$1	one:
p6rule_like('one:', '(\w+\:)+', qr/1: <\Qone:\E @/, 're_tests 378/$1 (#459)');
# 544: $(?<=^(a))	a	y	$1	a
p6rule_like('a', '$<after ^(a)>', qr/1: <\Qa\E @/, 're_tests 379/$1 (#460)');
# 545: (?=(a+?))(\1ab)	aaab	y	$2	aab
p6rule_like('aaab', '<before (a+?)>($1ab)', qr/2: <\Qaab\E @/, 're_tests 380/$2 (#461)');
# 546: ^(?=(a+?))\1ab	aaab	n	-	-
p6rule_isnt('aaab', '^<before (a+?)>$1ab', 're_tests 381 (#462)');
# 547: ([\w:]+::)?(\w+)$	abcd:	n	-	-
p6rule_isnt('abcd:', '(<[\w:]>+\:\:)?(\w+)$', 're_tests 382 (#463)');
# 548: ([\w:]+::)?(\w+)$	abcd	y	$1-$2	-abcd
p6rule_like('abcd', '(<[\w:]>+\:\:)?(\w+)$', qr/1: <\Q\E @/, 're_tests 383/$1 (#464)');
p6rule_like('abcd', '(<[\w:]>+\:\:)?(\w+)$', qr/2: <\Qabcd\E @/, 're_tests 383/$2 (#465)');
# 549: ([\w:]+::)?(\w+)$	xy:z:::abcd	y	$1-$2	xy:z:::-abcd
p6rule_like('xy:z:::abcd', '(<[\w:]>+\:\:)?(\w+)$', qr/1: <\Qxy:z:::\E @/, 're_tests 384/$1 (#466)');
p6rule_like('xy:z:::abcd', '(<[\w:]>+\:\:)?(\w+)$', qr/2: <\Qabcd\E @/, 're_tests 384/$2 (#467)');
# 550: ^[^bcd]*(c+)	aexycd	y	$1	c
p6rule_like('aexycd', '^<[^bcd]>*(c+)', qr/1: <\Qc\E @/, 're_tests 385/$1 (#468)');
# 551: (a*)b+	caab	y	$1	aa
p6rule_like('caab', '(a*)b+', qr/1: <\Qaa\E @/, 're_tests 386/$1 (#469)');
# 552: ([\w:]+::)?(\w+)$	abcd:	n	-	-
p6rule_isnt('abcd:', '(<[\w:]>+\:\:)?(\w+)$', 're_tests 387 (#470)');
# 553: ([\w:]+::)?(\w+)$	abcd	y	$1-$2	-abcd
p6rule_like('abcd', '(<[\w:]>+\:\:)?(\w+)$', qr/1: <\Q\E @/, 're_tests 388/$1 (#471)');
p6rule_like('abcd', '(<[\w:]>+\:\:)?(\w+)$', qr/2: <\Qabcd\E @/, 're_tests 388/$2 (#472)');
# 554: ([\w:]+::)?(\w+)$	xy:z:::abcd	y	$1-$2	xy:z:::-abcd
p6rule_like('xy:z:::abcd', '(<[\w:]>+\:\:)?(\w+)$', qr/1: <\Qxy:z:::\E @/, 're_tests 389/$1 (#473)');
p6rule_like('xy:z:::abcd', '(<[\w:]>+\:\:)?(\w+)$', qr/2: <\Qabcd\E @/, 're_tests 389/$2 (#474)');
# 555: ^[^bcd]*(c+)	aexycd	y	$1	c
p6rule_like('aexycd', '^<[^bcd]>*(c+)', qr/1: <\Qc\E @/, 're_tests 390/$1 (#475)');
# 556: (?{$a=2})a*aa(?{local$a=$a+1})k*c(?{$b=$a})	yaaxxaaaacd	y	$b	3
# -- SKIPPED - p5re_to_p6rule doesn't support `(?{...' yet
# 557: (?{$a=2})(a(?{local$a=$a+1}))*aak*c(?{$b=$a})	yaaxxaaaacd	y	$b	4
# -- SKIPPED - p5re_to_p6rule doesn't support `(?{...' yet
# 558: (>a+)ab	aaab	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support this yet
# 559: (?>a+)b	aaab	y	-	-
p6rule_is  ('aaab', '[a+]:b', 're_tests 391  (#476)');
# 560: ([[:]+)	a:[b]:	y	$1	:[
# -- SKIPPED - p5re_to_p6rule doesn't support this yet
# 561: ([[=]+)	a=[b]=	y	$1	=[
# -- SKIPPED - p5re_to_p6rule doesn't support this yet
# 562: ([[.]+)	a.[b].	y	$1	.[
# -- SKIPPED - p5re_to_p6rule doesn't support this yet
# 563: [a[:xyz:	-	c	-	Unmatched [
# -- SKIPPED - TESTS ERROR MESSAGE
# 564: [a[:xyz:]	-	c	-	POSIX class [:xyz:] unknown
# -- SKIPPED - TESTS ERROR MESSAGE
# 565: [a[:]b[:c]	abc	y	$&	abc
# -- SKIPPED - p5re_to_p6rule doesn't support this yet
# 566: ([a[:xyz:]b]+)	pbaq	c	-	POSIX class [:xyz:] unknown
# -- SKIPPED - TESTS ERROR MESSAGE
# 567: [a[:]b[:c]	abc	y	$&	abc
# -- SKIPPED - p5re_to_p6rule doesn't support this yet
# 568: ([[:alpha:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	ABcd
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<+<alpha>>+)', qr/1: <\QABcd\E @/, 're_tests 392/$1 (#477)');
# 569: ([[:alnum:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	ABcd01Xy
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<+<alnum>>+)', qr/1: <\QABcd01Xy\E @/, 're_tests 393/$1 (#478)');
# 570: ([[:ascii:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	ABcd01Xy__--  ${nulnul}
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<+<ascii>>+)', qr/1: <\QABcd01Xy__--  ${nulnul}\E @/, 're_tests 394/$1 (#479)');
# 571: ([[:cntrl:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	${nulnul}
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<+<cntrl>>+)', qr/1: <\Q${nulnul}\E @/, 're_tests 395/$1 (#480)');
# 572: ([[:digit:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	01
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<+<digit>>+)', qr/1: <\Q01\E @/, 're_tests 396/$1 (#481)');
# 573: ([[:graph:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	ABcd01Xy__--
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<+<graph>>+)', qr/1: <\QABcd01Xy__--\E @/, 're_tests 397/$1 (#482)');
# 574: ([[:lower:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	cd
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<+<lower>>+)', qr/1: <\Qcd\E @/, 're_tests 398/$1 (#483)');
# 575: ([[:print:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	ABcd01Xy__--  
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<+<print>>+)', qr/1: <\QABcd01Xy__--  \E @/, 're_tests 399/$1 (#484)');
# 576: ([[:punct:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	__--
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<+<punct>>+)', qr/1: <\Q__--\E @/, 're_tests 400/$1 (#485)');
# 577: ([[:space:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	  
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<+<space>>+)', qr/1: <\Q  \E @/, 're_tests 401/$1 (#486)');
# 578: ([[:word:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	ABcd01Xy__
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<+<word>>+)', qr/1: <\QABcd01Xy__\E @/, 're_tests 402/$1 (#487)');
# 579: ([[:upper:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	AB
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<+<upper>>+)', qr/1: <\QAB\E @/, 're_tests 403/$1 (#488)');
# 580: ([[:xdigit:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	ABcd01
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<+<xdigit>>+)', qr/1: <\QABcd01\E @/, 're_tests 404/$1 (#489)');
# 581: ([[:^alpha:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	01
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<-<alpha>>+)', qr/1: <\Q01\E @/, 're_tests 405/$1 (#490)');
# 582: ([[:^alnum:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	__--  ${nulnul}${ffff}
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<-<alnum>>+)', qr/1: <\Q__--  ${nulnul}${ffff}\E @/, 're_tests 406/$1 (#491)');
# 583: ([[:^ascii:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	${ffff}
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<-<ascii>>+)', qr/1: <\Q${ffff}\E @/, 're_tests 407/$1 (#492)');
# 584: ([[:^cntrl:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	ABcd01Xy__--  
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<-<cntrl>>+)', qr/1: <\QABcd01Xy__--  \E @/, 're_tests 408/$1 (#493)');
# 585: ([[:^digit:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	ABcd
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<-<digit>>+)', qr/1: <\QABcd\E @/, 're_tests 409/$1 (#494)');
# 586: ([[:^lower:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	AB
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<-<lower>>+)', qr/1: <\QAB\E @/, 're_tests 410/$1 (#495)');
# 587: ([[:^print:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	${nulnul}${ffff}
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<-<print>>+)', qr/1: <\Q${nulnul}${ffff}\E @/, 're_tests 411/$1 (#496)');
# 588: ([[:^punct:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	ABcd01Xy
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<-<punct>>+)', qr/1: <\QABcd01Xy\E @/, 're_tests 412/$1 (#497)');
# 589: ([[:^space:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	ABcd01Xy__--
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<-<space>>+)', qr/1: <\QABcd01Xy__--\E @/, 're_tests 413/$1 (#498)');
# 590: ([[:^word:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	--  ${nulnul}${ffff}
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<-<word>>+)', qr/1: <\Q--  ${nulnul}${ffff}\E @/, 're_tests 414/$1 (#499)');
# 591: ([[:^upper:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	cd01
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<-<upper>>+)', qr/1: <\Qcd01\E @/, 're_tests 415/$1 (#500)');
# 592: ([[:^xdigit:]]+)	ABcd01Xy__--  ${nulnul}${ffff}	y	$1	Xy__--  ${nulnul}${ffff}
p6rule_like('ABcd01Xy__--  ${nulnul}${ffff}', '(<-<xdigit>>+)', qr/1: <\QXy__--  ${nulnul}${ffff}\E @/, 're_tests 416/$1 (#501)');
# 593: [[:foo:]]	-	c	-	POSIX class [:foo:] unknown
# -- SKIPPED - TESTS ERROR MESSAGE
# 594: [[:^foo:]]	-	c	-	POSIX class [:^foo:] unknown
# -- SKIPPED - TESTS ERROR MESSAGE
# 595: ((?>a+)b)	aaab	y	$1	aaab
p6rule_like('aaab', '([a+]:b)', qr/1: <\Qaaab\E @/, 're_tests 417/$1 (#502)');
# 596: (?>(a+))b	aaab	y	$1	aaa
p6rule_like('aaab', '[(a+)]:b', qr/1: <\Qaaa\E @/, 're_tests 418/$1 (#503)');
# 597: ((?>[^()]+)|\([^()]*\))+	((abc(ade)ufh()()x	y	$&	abc(ade)ufh()()x
p6rule_like('((abc(ade)ufh()()x', '([<[^()]>+]:|\(<[^()]>*\))+', qr/0: <\Qabc(ade)ufh()()x\E @/, 're_tests 419/$0 (#504)');
# 598: (?<=x+)y	-	c	-	Variable length lookbehind not implemented
# -- SKIPPED - TESTS ERROR MESSAGE
# 599: a{37,17}	-	c	-	Can't do {n,m} with n > m
# -- SKIPPED - TESTS ERROR MESSAGE
# 600: \Z	a\nb\n	y	$-[0]	3
p6rule_like('a\nb\n', '\n?$', qr/0: <.* @ 3>/, 're_tests 420/$0 (#505)');
# 601: \z	a\nb\n	y	$-[0]	4
p6rule_like('a\nb\n', '$', qr/0: <.* @ 4>/, 're_tests 421/$0 (#506)');
# 602: $	a\nb\n	y	$-[0]	3
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 603: \Z	b\na\n	y	$-[0]	3
p6rule_like('b\na\n', '\n?$', qr/0: <.* @ 3>/, 're_tests 422/$0 (#507)');
# 604: \z	b\na\n	y	$-[0]	4
p6rule_like('b\na\n', '$', qr/0: <.* @ 4>/, 're_tests 423/$0 (#508)');
# 605: $	b\na\n	y	$-[0]	3
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 606: \Z	b\na	y	$-[0]	3
p6rule_like('b\na', '\n?$', qr/0: <.* @ 3>/, 're_tests 424/$0 (#509)');
# 607: \z	b\na	y	$-[0]	3
p6rule_like('b\na', '$', qr/0: <.* @ 3>/, 're_tests 425/$0 (#510)');
# 608: $	b\na	y	$-[0]	3
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 609: '\Z'm	a\nb\n	y	$-[0]	3
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 610: '\z'm	a\nb\n	y	$-[0]	4
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 611: '$'m	a\nb\n	y	$-[0]	1
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 612: '\Z'm	b\na\n	y	$-[0]	3
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 613: '\z'm	b\na\n	y	$-[0]	4
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 614: '$'m	b\na\n	y	$-[0]	1
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 615: '\Z'm	b\na	y	$-[0]	3
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 616: '\z'm	b\na	y	$-[0]	3
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 617: '$'m	b\na	y	$-[0]	1
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 618: a\Z	a\nb\n	n	-	-
p6rule_isnt('a\nb\n', 'a\n?$', 're_tests 426 (#511)');
# 619: a\z	a\nb\n	n	-	-
p6rule_isnt('a\nb\n', 'a$', 're_tests 427 (#512)');
# 620: a$	a\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 621: a\Z	b\na\n	y	$-[0]	2
p6rule_like('b\na\n', 'a\n?$', qr/0: <.* @ 2>/, 're_tests 428/$0 (#513)');
# 622: a\z	b\na\n	n	-	-
p6rule_isnt('b\na\n', 'a$', 're_tests 429 (#514)');
# 623: a$	b\na\n	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 624: a\Z	b\na	y	$-[0]	2
p6rule_like('b\na', 'a\n?$', qr/0: <.* @ 2>/, 're_tests 430/$0 (#515)');
# 625: a\z	b\na	y	$-[0]	2
p6rule_like('b\na', 'a$', qr/0: <.* @ 2>/, 're_tests 431/$0 (#516)');
# 626: a$	b\na	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 627: 'a\Z'm	a\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 628: 'a\z'm	a\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 629: 'a$'m	a\nb\n	y	$-[0]	0
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 630: 'a\Z'm	b\na\n	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 631: 'a\z'm	b\na\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 632: 'a$'m	b\na\n	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 633: 'a\Z'm	b\na	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 634: 'a\z'm	b\na	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 635: 'a$'m	b\na	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 636: aa\Z	aa\nb\n	n	-	-
p6rule_isnt('aa\nb\n', 'aa\n?$', 're_tests 432 (#517)');
# 637: aa\z	aa\nb\n	n	-	-
p6rule_isnt('aa\nb\n', 'aa$', 're_tests 433 (#518)');
# 638: aa$	aa\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 639: aa\Z	b\naa\n	y	$-[0]	2
p6rule_like('b\naa\n', 'aa\n?$', qr/0: <.* @ 2>/, 're_tests 434/$0 (#519)');
# 640: aa\z	b\naa\n	n	-	-
p6rule_isnt('b\naa\n', 'aa$', 're_tests 435 (#520)');
# 641: aa$	b\naa\n	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 642: aa\Z	b\naa	y	$-[0]	2
p6rule_like('b\naa', 'aa\n?$', qr/0: <.* @ 2>/, 're_tests 436/$0 (#521)');
# 643: aa\z	b\naa	y	$-[0]	2
p6rule_like('b\naa', 'aa$', qr/0: <.* @ 2>/, 're_tests 437/$0 (#522)');
# 644: aa$	b\naa	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 645: 'aa\Z'm	aa\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 646: 'aa\z'm	aa\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 647: 'aa$'m	aa\nb\n	y	$-[0]	0
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 648: 'aa\Z'm	b\naa\n	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 649: 'aa\z'm	b\naa\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 650: 'aa$'m	b\naa\n	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 651: 'aa\Z'm	b\naa	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 652: 'aa\z'm	b\naa	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 653: 'aa$'m	b\naa	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 654: aa\Z	ac\nb\n	n	-	-
p6rule_isnt('ac\nb\n', 'aa\n?$', 're_tests 438 (#523)');
# 655: aa\z	ac\nb\n	n	-	-
p6rule_isnt('ac\nb\n', 'aa$', 're_tests 439 (#524)');
# 656: aa$	ac\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 657: aa\Z	b\nac\n	n	-	-
p6rule_isnt('b\nac\n', 'aa\n?$', 're_tests 440 (#525)');
# 658: aa\z	b\nac\n	n	-	-
p6rule_isnt('b\nac\n', 'aa$', 're_tests 441 (#526)');
# 659: aa$	b\nac\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 660: aa\Z	b\nac	n	-	-
p6rule_isnt('b\nac', 'aa\n?$', 're_tests 442 (#527)');
# 661: aa\z	b\nac	n	-	-
p6rule_isnt('b\nac', 'aa$', 're_tests 443 (#528)');
# 662: aa$	b\nac	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 663: 'aa\Z'm	ac\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 664: 'aa\z'm	ac\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 665: 'aa$'m	ac\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 666: 'aa\Z'm	b\nac\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 667: 'aa\z'm	b\nac\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 668: 'aa$'m	b\nac\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 669: 'aa\Z'm	b\nac	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 670: 'aa\z'm	b\nac	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 671: 'aa$'m	b\nac	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 672: aa\Z	ca\nb\n	n	-	-
p6rule_isnt('ca\nb\n', 'aa\n?$', 're_tests 444 (#529)');
# 673: aa\z	ca\nb\n	n	-	-
p6rule_isnt('ca\nb\n', 'aa$', 're_tests 445 (#530)');
# 674: aa$	ca\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 675: aa\Z	b\nca\n	n	-	-
p6rule_isnt('b\nca\n', 'aa\n?$', 're_tests 446 (#531)');
# 676: aa\z	b\nca\n	n	-	-
p6rule_isnt('b\nca\n', 'aa$', 're_tests 447 (#532)');
# 677: aa$	b\nca\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 678: aa\Z	b\nca	n	-	-
p6rule_isnt('b\nca', 'aa\n?$', 're_tests 448 (#533)');
# 679: aa\z	b\nca	n	-	-
p6rule_isnt('b\nca', 'aa$', 're_tests 449 (#534)');
# 680: aa$	b\nca	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 681: 'aa\Z'm	ca\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 682: 'aa\z'm	ca\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 683: 'aa$'m	ca\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 684: 'aa\Z'm	b\nca\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 685: 'aa\z'm	b\nca\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 686: 'aa$'m	b\nca\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 687: 'aa\Z'm	b\nca	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 688: 'aa\z'm	b\nca	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 689: 'aa$'m	b\nca	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 690: ab\Z	ab\nb\n	n	-	-
p6rule_isnt('ab\nb\n', 'ab\n?$', 're_tests 450 (#535)');
# 691: ab\z	ab\nb\n	n	-	-
p6rule_isnt('ab\nb\n', 'ab$', 're_tests 451 (#536)');
# 692: ab$	ab\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 693: ab\Z	b\nab\n	y	$-[0]	2
p6rule_like('b\nab\n', 'ab\n?$', qr/0: <.* @ 2>/, 're_tests 452/$0 (#537)');
# 694: ab\z	b\nab\n	n	-	-
p6rule_isnt('b\nab\n', 'ab$', 're_tests 453 (#538)');
# 695: ab$	b\nab\n	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 696: ab\Z	b\nab	y	$-[0]	2
p6rule_like('b\nab', 'ab\n?$', qr/0: <.* @ 2>/, 're_tests 454/$0 (#539)');
# 697: ab\z	b\nab	y	$-[0]	2
p6rule_like('b\nab', 'ab$', qr/0: <.* @ 2>/, 're_tests 455/$0 (#540)');
# 698: ab$	b\nab	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 699: 'ab\Z'm	ab\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 700: 'ab\z'm	ab\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 701: 'ab$'m	ab\nb\n	y	$-[0]	0
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 702: 'ab\Z'm	b\nab\n	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 703: 'ab\z'm	b\nab\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 704: 'ab$'m	b\nab\n	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 705: 'ab\Z'm	b\nab	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 706: 'ab\z'm	b\nab	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 707: 'ab$'m	b\nab	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 708: ab\Z	ac\nb\n	n	-	-
p6rule_isnt('ac\nb\n', 'ab\n?$', 're_tests 456 (#541)');
# 709: ab\z	ac\nb\n	n	-	-
p6rule_isnt('ac\nb\n', 'ab$', 're_tests 457 (#542)');
# 710: ab$	ac\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 711: ab\Z	b\nac\n	n	-	-
p6rule_isnt('b\nac\n', 'ab\n?$', 're_tests 458 (#543)');
# 712: ab\z	b\nac\n	n	-	-
p6rule_isnt('b\nac\n', 'ab$', 're_tests 459 (#544)');
# 713: ab$	b\nac\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 714: ab\Z	b\nac	n	-	-
p6rule_isnt('b\nac', 'ab\n?$', 're_tests 460 (#545)');
# 715: ab\z	b\nac	n	-	-
p6rule_isnt('b\nac', 'ab$', 're_tests 461 (#546)');
# 716: ab$	b\nac	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 717: 'ab\Z'm	ac\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 718: 'ab\z'm	ac\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 719: 'ab$'m	ac\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 720: 'ab\Z'm	b\nac\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 721: 'ab\z'm	b\nac\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 722: 'ab$'m	b\nac\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 723: 'ab\Z'm	b\nac	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 724: 'ab\z'm	b\nac	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 725: 'ab$'m	b\nac	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 726: ab\Z	ca\nb\n	n	-	-
p6rule_isnt('ca\nb\n', 'ab\n?$', 're_tests 462 (#547)');
# 727: ab\z	ca\nb\n	n	-	-
p6rule_isnt('ca\nb\n', 'ab$', 're_tests 463 (#548)');
# 728: ab$	ca\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 729: ab\Z	b\nca\n	n	-	-
p6rule_isnt('b\nca\n', 'ab\n?$', 're_tests 464 (#549)');
# 730: ab\z	b\nca\n	n	-	-
p6rule_isnt('b\nca\n', 'ab$', 're_tests 465 (#550)');
# 731: ab$	b\nca\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 732: ab\Z	b\nca	n	-	-
p6rule_isnt('b\nca', 'ab\n?$', 're_tests 466 (#551)');
# 733: ab\z	b\nca	n	-	-
p6rule_isnt('b\nca', 'ab$', 're_tests 467 (#552)');
# 734: ab$	b\nca	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 735: 'ab\Z'm	ca\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 736: 'ab\z'm	ca\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 737: 'ab$'m	ca\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 738: 'ab\Z'm	b\nca\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 739: 'ab\z'm	b\nca\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 740: 'ab$'m	b\nca\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 741: 'ab\Z'm	b\nca	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 742: 'ab\z'm	b\nca	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 743: 'ab$'m	b\nca	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 744: abb\Z	abb\nb\n	n	-	-
p6rule_isnt('abb\nb\n', 'abb\n?$', 're_tests 468 (#553)');
# 745: abb\z	abb\nb\n	n	-	-
p6rule_isnt('abb\nb\n', 'abb$', 're_tests 469 (#554)');
# 746: abb$	abb\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 747: abb\Z	b\nabb\n	y	$-[0]	2
p6rule_like('b\nabb\n', 'abb\n?$', qr/0: <.* @ 2>/, 're_tests 470/$0 (#555)');
# 748: abb\z	b\nabb\n	n	-	-
p6rule_isnt('b\nabb\n', 'abb$', 're_tests 471 (#556)');
# 749: abb$	b\nabb\n	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 750: abb\Z	b\nabb	y	$-[0]	2
p6rule_like('b\nabb', 'abb\n?$', qr/0: <.* @ 2>/, 're_tests 472/$0 (#557)');
# 751: abb\z	b\nabb	y	$-[0]	2
p6rule_like('b\nabb', 'abb$', qr/0: <.* @ 2>/, 're_tests 473/$0 (#558)');
# 752: abb$	b\nabb	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 753: 'abb\Z'm	abb\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 754: 'abb\z'm	abb\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 755: 'abb$'m	abb\nb\n	y	$-[0]	0
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 756: 'abb\Z'm	b\nabb\n	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 757: 'abb\z'm	b\nabb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 758: 'abb$'m	b\nabb\n	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 759: 'abb\Z'm	b\nabb	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 760: 'abb\z'm	b\nabb	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 761: 'abb$'m	b\nabb	y	$-[0]	2
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 762: abb\Z	ac\nb\n	n	-	-
p6rule_isnt('ac\nb\n', 'abb\n?$', 're_tests 474 (#559)');
# 763: abb\z	ac\nb\n	n	-	-
p6rule_isnt('ac\nb\n', 'abb$', 're_tests 475 (#560)');
# 764: abb$	ac\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 765: abb\Z	b\nac\n	n	-	-
p6rule_isnt('b\nac\n', 'abb\n?$', 're_tests 476 (#561)');
# 766: abb\z	b\nac\n	n	-	-
p6rule_isnt('b\nac\n', 'abb$', 're_tests 477 (#562)');
# 767: abb$	b\nac\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 768: abb\Z	b\nac	n	-	-
p6rule_isnt('b\nac', 'abb\n?$', 're_tests 478 (#563)');
# 769: abb\z	b\nac	n	-	-
p6rule_isnt('b\nac', 'abb$', 're_tests 479 (#564)');
# 770: abb$	b\nac	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 771: 'abb\Z'm	ac\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 772: 'abb\z'm	ac\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 773: 'abb$'m	ac\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 774: 'abb\Z'm	b\nac\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 775: 'abb\z'm	b\nac\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 776: 'abb$'m	b\nac\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 777: 'abb\Z'm	b\nac	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 778: 'abb\z'm	b\nac	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 779: 'abb$'m	b\nac	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 780: abb\Z	ca\nb\n	n	-	-
p6rule_isnt('ca\nb\n', 'abb\n?$', 're_tests 480 (#565)');
# 781: abb\z	ca\nb\n	n	-	-
p6rule_isnt('ca\nb\n', 'abb$', 're_tests 481 (#566)');
# 782: abb$	ca\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 783: abb\Z	b\nca\n	n	-	-
p6rule_isnt('b\nca\n', 'abb\n?$', 're_tests 482 (#567)');
# 784: abb\z	b\nca\n	n	-	-
p6rule_isnt('b\nca\n', 'abb$', 're_tests 483 (#568)');
# 785: abb$	b\nca\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 786: abb\Z	b\nca	n	-	-
p6rule_isnt('b\nca', 'abb\n?$', 're_tests 484 (#569)');
# 787: abb\z	b\nca	n	-	-
p6rule_isnt('b\nca', 'abb$', 're_tests 485 (#570)');
# 788: abb$	b\nca	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 789: 'abb\Z'm	ca\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 790: 'abb\z'm	ca\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 791: 'abb$'m	ca\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 792: 'abb\Z'm	b\nca\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 793: 'abb\z'm	b\nca\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 794: 'abb$'m	b\nca\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 795: 'abb\Z'm	b\nca	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 796: 'abb\z'm	b\nca	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 797: 'abb$'m	b\nca	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 798: (^|x)(c)	ca	y	$2	c
p6rule_like('ca', '(^|x)(c)', qr/2: <\Qc\E @/, 're_tests 486/$2 (#571)');
# 799: a*abc?xyz+pqr{3}ab{2,}xy{4,5}pq{0,6}AB{0,}zz	x	n	-	-
p6rule_isnt('x', 'a*abc?xyz+pqr**{3}ab**{2...}xy**{4..5}pq**{0..6}AB**{0...}zz', 're_tests 487 (#572)');
# 800: a(?{$a=2;$b=3;($b)=$a})b	yabz	y	$b	2
# -- SKIPPED - p5re_to_p6rule doesn't support `(?{...' yet
# 801: round\(((?>[^()]+))\)	_I(round(xs * sz),1)	y	$1	xs * sz
p6rule_like('_I(round(xs * sz),1)', 'round\(([<[^()]>+]:)\)', qr/1: <\Qxs * sz\E @/, 're_tests 488/$1 (#573)');
# 802: '((?x:.) )'	x 	y	$1-	x -
# -- SKIPPED - p5re_to_p6rule doesn't support this yet
# 803: '((?-x:.) )'x	x 	y	$1-	x-
# -- SKIPPED - p5re_to_p6rule doesn't support `(?-...' yet
# 804: foo.bart	foo.bart	y	-	-
p6rule_is  ('foo.bart', 'foo\Nbart', 're_tests 489  (#574)');
# 805: '^d[x][x][x]'m	abcd\ndxxx	y	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 806: .X(.+)+X	bbbbXcXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	y	-	-
p6rule_is  ('bbbbXcXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\NX(\N+)+X', 're_tests 490  (#575)');
# 807: .X(.+)+XX	bbbbXcXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	y	-	-
p6rule_is  ('bbbbXcXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\NX(\N+)+XX', 're_tests 491  (#576)');
# 808: .XX(.+)+X	bbbbXXcXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	y	-	-
p6rule_is  ('bbbbXXcXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\NXX(\N+)+X', 're_tests 492  (#577)');
# 809: .X(.+)+X	bbbbXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	n	-	-
p6rule_isnt('bbbbXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\NX(\N+)+X', 're_tests 493 (#578)');
# 810: .X(.+)+XX	bbbbXXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	n	-	-
p6rule_isnt('bbbbXXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\NX(\N+)+XX', 're_tests 494 (#579)');
# 811: .XX(.+)+X	bbbbXXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	n	-	-
p6rule_isnt('bbbbXXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\NXX(\N+)+X', 're_tests 495 (#580)');
# 812: .X(.+)+[X]	bbbbXcXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	y	-	-
p6rule_is  ('bbbbXcXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\NX(\N+)+<[X]>', 're_tests 496  (#581)');
# 813: .X(.+)+[X][X]	bbbbXcXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	y	-	-
p6rule_is  ('bbbbXcXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\NX(\N+)+<[X]><[X]>', 're_tests 497  (#582)');
# 814: .XX(.+)+[X]	bbbbXXcXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	y	-	-
p6rule_is  ('bbbbXXcXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\NXX(\N+)+<[X]>', 're_tests 498  (#583)');
# 815: .X(.+)+[X]	bbbbXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	n	-	-
p6rule_isnt('bbbbXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\NX(\N+)+<[X]>', 're_tests 499 (#584)');
# 816: .X(.+)+[X][X]	bbbbXXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	n	-	-
p6rule_isnt('bbbbXXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\NX(\N+)+<[X]><[X]>', 're_tests 500 (#585)');
# 817: .XX(.+)+[X]	bbbbXXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	n	-	-
p6rule_isnt('bbbbXXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\NXX(\N+)+<[X]>', 're_tests 501 (#586)');
# 818: .[X](.+)+[X]	bbbbXcXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	y	-	-
p6rule_is  ('bbbbXcXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\N<[X]>(\N+)+<[X]>', 're_tests 502  (#587)');
# 819: .[X](.+)+[X][X]	bbbbXcXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	y	-	-
p6rule_is  ('bbbbXcXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\N<[X]>(\N+)+<[X]><[X]>', 're_tests 503  (#588)');
# 820: .[X][X](.+)+[X]	bbbbXXcXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	y	-	-
p6rule_is  ('bbbbXXcXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\N<[X]><[X]>(\N+)+<[X]>', 're_tests 504  (#589)');
# 821: .[X](.+)+[X]	bbbbXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	n	-	-
p6rule_isnt('bbbbXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\N<[X]>(\N+)+<[X]>', 're_tests 505 (#590)');
# 822: .[X](.+)+[X][X]	bbbbXXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	n	-	-
p6rule_isnt('bbbbXXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\N<[X]>(\N+)+<[X]><[X]>', 're_tests 506 (#591)');
# 823: .[X][X](.+)+[X]	bbbbXXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa	n	-	-
p6rule_isnt('bbbbXXXaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa', '\N<[X]><[X]>(\N+)+<[X]>', 're_tests 507 (#592)');
# 824: tt+$	xxxtt	y	-	-
p6rule_is  ('xxxtt', 'tt+$', 're_tests 508  (#593)');
# 825: ([a-\d]+)	za-9z	y	$1	a-9
p6rule_like('za-9z', '(<[a-\d]>+)', qr/1: <\Qa-9\E @/, 're_tests 509/$1 (#594)');
# 826: ([\d-z]+)	a0-za	y	$1	0-z
p6rule_like('a0-za', '(<[\d-z]>+)', qr/1: <\Q0-z\E @/, 're_tests 510/$1 (#595)');
# 827: ([\d-\s]+)	a0- z	y	$1	0- 
p6rule_like('a0- z', '(<[\d-\s]>+)', qr/1: <\Q0- \E @/, 're_tests 511/$1 (#596)');
# 828: ([a-[:digit:]]+)	za-9z	y	$1	a-9
# -- SKIPPED - p5re_to_p6rule doesn't support this yet
# 829: ([[:digit:]-z]+)	=0-z=	y	$1	0-z
# -- SKIPPED - p5re_to_p6rule doesn't support this yet
# 830: ([[:digit:]-[:alpha:]]+)	=0-z=	y	$1	0-z
# -- SKIPPED - p5re_to_p6rule doesn't support this yet
# 831: \GX.*X	aaaXbX	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support this yet
# 832: (\d+\.\d+)	3.1415926	y	$1	3.1415926
p6rule_like('3.1415926', '(\d+\.\d+)', qr/1: <\Q3.1415926\E @/, 're_tests 512/$1 (#597)');
# 833: (\ba.{0,10}br)	have a web browser	y	$1	a web br
p6rule_like('have a web browser', '(\ba\N**{0..10}br)', qr/1: <\Qa web br\E @/, 're_tests 513/$1 (#598)');
# 834: '\.c(pp|xx|c)?$'i	Changes	n	-	-
p6rule_isnt('Changes', '[:i \.c(pp|xx|c)?$]', 're_tests 514 (#599)');
# 835: '\.c(pp|xx|c)?$'i	IO.c	y	-	-
p6rule_is  ('IO.c', '[:i \.c(pp|xx|c)?$]', 're_tests 515  (#600)');
# 836: '(\.c(pp|xx|c)?$)'i	IO.c	y	$1	.c
p6rule_like('IO.c', '[:i (\.c(pp|xx|c)?$)]', qr/1: <\Q.c\E @/, 're_tests 516/$1 (#601)');
# 837: ^([a-z]:)	C:/	n	-	-
p6rule_isnt('C:/', '^(<[a-z]>\:)', 're_tests 517 (#602)');
# 838: '^\S\s+aa$'m	\nx aa	y	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 839: (^|a)b	ab	y	-	-
p6rule_is  ('ab', '(^|a)b', 're_tests 518  (#603)');
# 840: ^([ab]*?)(b)?(c)$	abac	y	-$2-	--
# SKIPPED: script doesn't understand `-$2-' yet
# 841: (\w)?(abc)\1b	abcab	n	-	-
p6rule_isnt('abcab', '(\w)?(abc)$1b', 're_tests 519 (#604)');
# 842: ^(?:.,){2}c	a,b,c	y	-	-
p6rule_is  ('a,b,c', '^[\N,]**{2}c', 're_tests 520  (#605)');
# 843: ^(.,){2}c	a,b,c	y	$1	b,
p6rule_like('a,b,c', '^(\N,)**{2}c', qr/1: <\Qb,\E @/, 're_tests 521/$1 (#606)');
# 844: ^(?:[^,]*,){2}c	a,b,c	y	-	-
p6rule_is  ('a,b,c', '^[<[^,]>*,]**{2}c', 're_tests 522  (#607)');
# 845: ^([^,]*,){2}c	a,b,c	y	$1	b,
p6rule_like('a,b,c', '^(<[^,]>*,)**{2}c', qr/1: <\Qb,\E @/, 're_tests 523/$1 (#608)');
# 846: ^([^,]*,){3}d	aaa,b,c,d	y	$1	c,
p6rule_like('aaa,b,c,d', '^(<[^,]>*,)**{3}d', qr/1: <\Qc,\E @/, 're_tests 524/$1 (#609)');
# 847: ^([^,]*,){3,}d	aaa,b,c,d	y	$1	c,
p6rule_like('aaa,b,c,d', '^(<[^,]>*,)**{3...}d', qr/1: <\Qc,\E @/, 're_tests 525/$1 (#610)');
# 848: ^([^,]*,){0,3}d	aaa,b,c,d	y	$1	c,
p6rule_like('aaa,b,c,d', '^(<[^,]>*,)**{0..3}d', qr/1: <\Qc,\E @/, 're_tests 526/$1 (#611)');
# 849: ^([^,]{1,3},){3}d	aaa,b,c,d	y	$1	c,
p6rule_like('aaa,b,c,d', '^(<[^,]>**{1..3},)**{3}d', qr/1: <\Qc,\E @/, 're_tests 527/$1 (#612)');
# 850: ^([^,]{1,3},){3,}d	aaa,b,c,d	y	$1	c,
p6rule_like('aaa,b,c,d', '^(<[^,]>**{1..3},)**{3...}d', qr/1: <\Qc,\E @/, 're_tests 528/$1 (#613)');
# 851: ^([^,]{1,3},){0,3}d	aaa,b,c,d	y	$1	c,
p6rule_like('aaa,b,c,d', '^(<[^,]>**{1..3},)**{0..3}d', qr/1: <\Qc,\E @/, 're_tests 529/$1 (#614)');
# 852: ^([^,]{1,},){3}d	aaa,b,c,d	y	$1	c,
p6rule_like('aaa,b,c,d', '^(<[^,]>**{1...},)**{3}d', qr/1: <\Qc,\E @/, 're_tests 530/$1 (#615)');
# 853: ^([^,]{1,},){3,}d	aaa,b,c,d	y	$1	c,
p6rule_like('aaa,b,c,d', '^(<[^,]>**{1...},)**{3...}d', qr/1: <\Qc,\E @/, 're_tests 531/$1 (#616)');
# 854: ^([^,]{1,},){0,3}d	aaa,b,c,d	y	$1	c,
p6rule_like('aaa,b,c,d', '^(<[^,]>**{1...},)**{0..3}d', qr/1: <\Qc,\E @/, 're_tests 532/$1 (#617)');
# 855: ^([^,]{0,3},){3}d	aaa,b,c,d	y	$1	c,
p6rule_like('aaa,b,c,d', '^(<[^,]>**{0..3},)**{3}d', qr/1: <\Qc,\E @/, 're_tests 533/$1 (#618)');
# 856: ^([^,]{0,3},){3,}d	aaa,b,c,d	y	$1	c,
p6rule_like('aaa,b,c,d', '^(<[^,]>**{0..3},)**{3...}d', qr/1: <\Qc,\E @/, 're_tests 534/$1 (#619)');
# 857: ^([^,]{0,3},){0,3}d	aaa,b,c,d	y	$1	c,
p6rule_like('aaa,b,c,d', '^(<[^,]>**{0..3},)**{0..3}d', qr/1: <\Qc,\E @/, 're_tests 535/$1 (#620)');
# 858: (?i)		y	-	-
p6rule_is  ('', ':i ', 're_tests 536  (#621)');
# 859: '(?!\A)x'm	a\nxb\n	y	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 860: ^(a(b)?)+$	aba	y	-$1-$2-	-a--
# SKIPPED: script doesn't understand `-$1-$2-' yet
# 861: ^(aa(bb)?)+$	aabbaa	y	-$1-$2-	-aa--
# SKIPPED: script doesn't understand `-$1-$2-' yet
# 862: '^.{9}abc.*\n'm	123\nabcabcabcabc\n	y	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 863: ^(a)?a$	a	y	-$1-	--
# SKIPPED: script doesn't understand `-$1-' yet
# 864: ^(a)?(?(1)a|b)+$	a	n	-	-
p6rule_isnt('a', '^(a)?[ <(defined $1)> :: a|b ]+$', 're_tests 537 (#622)');
# 865: ^(a\1?)(a\1?)(a\2?)(a\3?)$	aaaaaa	y	$1,$2,$3,$4	a,aa,a,aa
# SKIPPED: script doesn't understand `$1,$2,$3,$4' yet
# 866: ^(a\1?){4}$	aaaaaa	y	$1	aa
p6rule_like('aaaaaa', '^(a$1?)**{4}$', qr/1: <\Qaa\E @/, 're_tests 538/$1 (#623)');
# 867: ^(0+)?(?:x(1))?	x1	y	-	-
p6rule_is  ('x1', '^(0+)?[x(1)]?', 're_tests 539  (#624)');
# 868: ^([0-9a-fA-F]+)(?:x([0-9a-fA-F]+)?)(?:x([0-9a-fA-F]+))?	012cxx0190	y	-	-
p6rule_is  ('012cxx0190', '^(<[0-9a-fA-F]>+)[x(<[0-9a-fA-F]>+)?][x(<[0-9a-fA-F]>+)]?', 're_tests 540  (#625)');
# 869: ^(b+?|a){1,2}c	bbbac	y	$1	a
p6rule_like('bbbac', '^(b+?|a)**{1..2}c', qr/1: <\Qa\E @/, 're_tests 541/$1 (#626)');
# 870: ^(b+?|a){1,2}c	bbbbac	y	$1	a
p6rule_like('bbbbac', '^(b+?|a)**{1..2}c', qr/1: <\Qa\E @/, 're_tests 542/$1 (#627)');
# 871: \((\w\. \w+)\)	cd. (A. Tw)	y	-$1-	-A. Tw-
# SKIPPED: script doesn't understand `-$1-' yet
# 872: ((?:aaaa|bbbb)cccc)?	aaaacccc	y	-	-
p6rule_is  ('aaaacccc', '([aaaa|bbbb]cccc)?', 're_tests 543  (#628)');
# 873: ((?:aaaa|bbbb)cccc)?	bbbbcccc	y	-	-
p6rule_is  ('bbbbcccc', '([aaaa|bbbb]cccc)?', 're_tests 544  (#629)');
# 874: (a)?(a)+	a	y	$1:$2	:a	-
p6rule_like('a', '(a)?(a)+', qr/1: <\Q\E @/, 're_tests 545/$1 (#630)');
p6rule_like('a', '(a)?(a)+', qr/2: <\Qa\E @/, 're_tests 545/$2 (#631)');
# 875: (ab)?(ab)+	ab	y	$1:$2	:ab	-
p6rule_like('ab', '(ab)?(ab)+', qr/1: <\Q\E @/, 're_tests 546/$1 (#632)');
p6rule_like('ab', '(ab)?(ab)+', qr/2: <\Qab\E @/, 're_tests 546/$2 (#633)');
# 876: (abc)?(abc)+	abc	y	$1:$2	:abc	-
p6rule_like('abc', '(abc)?(abc)+', qr/1: <\Q\E @/, 're_tests 547/$1 (#634)');
p6rule_like('abc', '(abc)?(abc)+', qr/2: <\Qabc\E @/, 're_tests 547/$2 (#635)');
# 877: 'b\s^'m	a\nb\n	n	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `'...'m' yet
# 878: \ba	a	y	-	-
p6rule_is  ('a', '\ba', 're_tests 548  (#636)');
# 879: ^(a(??{"(?!)"})|(a)(?{1}))b	ab	y	$2	a	# [ID 20010811.006]
# -- SKIPPED - p5re_to_p6rule doesn't support `(??{...' yet
# 880: ab(?i)cd	AbCd	n	-	-	# [ID 20010809.023]
p6rule_isnt('AbCd', 'ab:i cd', 're_tests 549 (#637)');
# 881: ab(?i)cd	abCd	y	-	-
p6rule_is  ('abCd', 'ab:i cd', 're_tests 550  (#638)');
# 882: (A|B)*(?(1)(CD)|(CD))	CD	y	$2-$3	-CD
p6rule_like('CD', '(A|B)*[ <(defined $1)> :: (CD)|(CD) ]', qr/2: <\Q\E @/, 're_tests 551/$2 (#639)');
p6rule_like('CD', '(A|B)*[ <(defined $1)> :: (CD)|(CD) ]', qr/3: <\QCD\E @/, 're_tests 551/$3 (#640)');
# 883: (A|B)*(?(1)(CD)|(CD))	ABCD	y	$2-$3	CD-
p6rule_like('ABCD', '(A|B)*[ <(defined $1)> :: (CD)|(CD) ]', qr/2: <\QCD\E @/, 're_tests 552/$2 (#641)');
p6rule_like('ABCD', '(A|B)*[ <(defined $1)> :: (CD)|(CD) ]', qr/3: <\Q\E @/, 're_tests 552/$3 (#642)');
# 884: (A|B)*?(?(1)(CD)|(CD))	CD	y	$2-$3	-CD	# [ID 20010803.016]
p6rule_like('CD', '(A|B)*?[ <(defined $1)> :: (CD)|(CD) ]', qr/2: <\Q\E @/, 're_tests 553/$2 (#643)');
p6rule_like('CD', '(A|B)*?[ <(defined $1)> :: (CD)|(CD) ]', qr/3: <\QCD\E @/, 're_tests 553/$3 (#644)');
# 885: (A|B)*?(?(1)(CD)|(CD))	ABCD	y	$2-$3	CD-
p6rule_like('ABCD', '(A|B)*?[ <(defined $1)> :: (CD)|(CD) ]', qr/2: <\QCD\E @/, 're_tests 554/$2 (#645)');
p6rule_like('ABCD', '(A|B)*?[ <(defined $1)> :: (CD)|(CD) ]', qr/3: <\Q\E @/, 're_tests 554/$3 (#646)');
# 886: '^(o)(?!.*\1)'i	Oo	n	-	-
p6rule_isnt('Oo', '[:i ^(o)<!before \N*$1>]', 're_tests 555 (#647)');
# 887: (.*)\d+\1	abc12bc	y	$1	bc
p6rule_like('abc12bc', '(\N*)\d+$1', qr/1: <\Qbc\E @/, 're_tests 556/$1 (#648)');
# 888: (?m:(foo\s*$))	foo\n bar	y	$1	foo
# -- SKIPPED - p5re_to_p6rule doesn't support `$ with \n in str' yet
# 889: (.*)c	abcd	y	$1	ab
p6rule_like('abcd', '(\N*)c', qr/1: <\Qab\E @/, 're_tests 557/$1 (#649)');
# 890: (.*)(?=c)	abcd	y	$1	ab
p6rule_like('abcd', '(\N*)<before c>', qr/1: <\Qab\E @/, 're_tests 558/$1 (#650)');
# 891: (.*)(?=c)c	abcd	yB	$1	ab
p6rule_like('abcd', '(\N*)<before c>c', qr/1: <\Qab\E @/, 're_tests 559/$1 (#651)');
# 892: (.*)(?=b|c)	abcd	y	$1	ab
p6rule_like('abcd', '(\N*)<before b|c>', qr/1: <\Qab\E @/, 're_tests 560/$1 (#652)');
# 893: (.*)(?=b|c)c	abcd	y	$1	ab
p6rule_like('abcd', '(\N*)<before b|c>c', qr/1: <\Qab\E @/, 're_tests 561/$1 (#653)');
# 894: (.*)(?=c|b)	abcd	y	$1	ab
p6rule_like('abcd', '(\N*)<before c|b>', qr/1: <\Qab\E @/, 're_tests 562/$1 (#654)');
# 895: (.*)(?=c|b)c	abcd	y	$1	ab
p6rule_like('abcd', '(\N*)<before c|b>c', qr/1: <\Qab\E @/, 're_tests 563/$1 (#655)');
# 896: (.*)(?=[bc])	abcd	y	$1	ab
p6rule_like('abcd', '(\N*)<before <[bc]>>', qr/1: <\Qab\E @/, 're_tests 564/$1 (#656)');
# 897: (.*)(?=[bc])c	abcd	yB	$1	ab
p6rule_like('abcd', '(\N*)<before <[bc]>>c', qr/1: <\Qab\E @/, 're_tests 565/$1 (#657)');
# 898: (.*)(?<=b)	abcd	y	$1	ab
p6rule_like('abcd', '(\N*)<after b>', qr/1: <\Qab\E @/, 're_tests 566/$1 (#658)');
# 899: (.*)(?<=b)c	abcd	y	$1	ab
p6rule_like('abcd', '(\N*)<after b>c', qr/1: <\Qab\E @/, 're_tests 567/$1 (#659)');
# 900: (.*)(?<=b|c)	abcd	y	$1	abc
p6rule_like('abcd', '(\N*)<after b|c>', qr/1: <\Qabc\E @/, 're_tests 568/$1 (#660)');
# 901: (.*)(?<=b|c)c	abcd	y	$1	ab
p6rule_like('abcd', '(\N*)<after b|c>c', qr/1: <\Qab\E @/, 're_tests 569/$1 (#661)');
# 902: (.*)(?<=c|b)	abcd	y	$1	abc
p6rule_like('abcd', '(\N*)<after c|b>', qr/1: <\Qabc\E @/, 're_tests 570/$1 (#662)');
# 903: (.*)(?<=c|b)c	abcd	y	$1	ab
p6rule_like('abcd', '(\N*)<after c|b>c', qr/1: <\Qab\E @/, 're_tests 571/$1 (#663)');
# 904: (.*)(?<=[bc])	abcd	y	$1	abc
p6rule_like('abcd', '(\N*)<after <[bc]>>', qr/1: <\Qabc\E @/, 're_tests 572/$1 (#664)');
# 905: (.*)(?<=[bc])c	abcd	y	$1	ab
p6rule_like('abcd', '(\N*)<after <[bc]>>c', qr/1: <\Qab\E @/, 're_tests 573/$1 (#665)');
# 906: (.*?)c	abcd	y	$1	ab
p6rule_like('abcd', '(\N*?)c', qr/1: <\Qab\E @/, 're_tests 574/$1 (#666)');
# 907: (.*?)(?=c)	abcd	y	$1	ab
p6rule_like('abcd', '(\N*?)<before c>', qr/1: <\Qab\E @/, 're_tests 575/$1 (#667)');
# 908: (.*?)(?=c)c	abcd	yB	$1	ab
p6rule_like('abcd', '(\N*?)<before c>c', qr/1: <\Qab\E @/, 're_tests 576/$1 (#668)');
# 909: (.*?)(?=b|c)	abcd	y	$1	a
p6rule_like('abcd', '(\N*?)<before b|c>', qr/1: <\Qa\E @/, 're_tests 577/$1 (#669)');
# 910: (.*?)(?=b|c)c	abcd	y	$1	ab
p6rule_like('abcd', '(\N*?)<before b|c>c', qr/1: <\Qab\E @/, 're_tests 578/$1 (#670)');
# 911: (.*?)(?=c|b)	abcd	y	$1	a
p6rule_like('abcd', '(\N*?)<before c|b>', qr/1: <\Qa\E @/, 're_tests 579/$1 (#671)');
# 912: (.*?)(?=c|b)c	abcd	y	$1	ab
p6rule_like('abcd', '(\N*?)<before c|b>c', qr/1: <\Qab\E @/, 're_tests 580/$1 (#672)');
# 913: (.*?)(?=[bc])	abcd	y	$1	a
p6rule_like('abcd', '(\N*?)<before <[bc]>>', qr/1: <\Qa\E @/, 're_tests 581/$1 (#673)');
# 914: (.*?)(?=[bc])c	abcd	yB	$1	ab
p6rule_like('abcd', '(\N*?)<before <[bc]>>c', qr/1: <\Qab\E @/, 're_tests 582/$1 (#674)');
# 915: (.*?)(?<=b)	abcd	y	$1	ab
p6rule_like('abcd', '(\N*?)<after b>', qr/1: <\Qab\E @/, 're_tests 583/$1 (#675)');
# 916: (.*?)(?<=b)c	abcd	y	$1	ab
p6rule_like('abcd', '(\N*?)<after b>c', qr/1: <\Qab\E @/, 're_tests 584/$1 (#676)');
# 917: (.*?)(?<=b|c)	abcd	y	$1	ab
p6rule_like('abcd', '(\N*?)<after b|c>', qr/1: <\Qab\E @/, 're_tests 585/$1 (#677)');
# 918: (.*?)(?<=b|c)c	abcd	y	$1	ab
p6rule_like('abcd', '(\N*?)<after b|c>c', qr/1: <\Qab\E @/, 're_tests 586/$1 (#678)');
# 919: (.*?)(?<=c|b)	abcd	y	$1	ab
p6rule_like('abcd', '(\N*?)<after c|b>', qr/1: <\Qab\E @/, 're_tests 587/$1 (#679)');
# 920: (.*?)(?<=c|b)c	abcd	y	$1	ab
p6rule_like('abcd', '(\N*?)<after c|b>c', qr/1: <\Qab\E @/, 're_tests 588/$1 (#680)');
# 921: (.*?)(?<=[bc])	abcd	y	$1	ab
p6rule_like('abcd', '(\N*?)<after <[bc]>>', qr/1: <\Qab\E @/, 're_tests 589/$1 (#681)');
# 922: (.*?)(?<=[bc])c	abcd	y	$1	ab
p6rule_like('abcd', '(\N*?)<after <[bc]>>c', qr/1: <\Qab\E @/, 're_tests 590/$1 (#682)');
# 923: 2(]*)?$\1	2	y	$&	2
p6rule_like('2', '2(]*)?$$1', qr/0: <\Q2\E @/, 're_tests 591/$0 (#683)');
# 924: (??{})	x	y	-	-
# -- SKIPPED - p5re_to_p6rule doesn't support `(??{...' yet
# 925: a(b)??	abc	y	<$1>	<>	# undef [perl #16773]
# SKIPPED: script doesn't understand `<$1>' yet
# 926: (\d{1,3}\.){3,}	128.134.142.8	y	<$1>	<142.>	# [perl #18019]
# SKIPPED: script doesn't understand `<$1>' yet
# 927: ^.{3,4}(.+)\1\z	foobarbar	y	$1	bar	# 16 tests for [perl #23171]
p6rule_like('foobarbar', '^\N**{3..4}(\N+)$1$', qr/1: <\Qbar\E @/, 're_tests 592/$1 (#684)');
# 928: ^(?:f|o|b){3,4}(.+)\1\z	foobarbar	y	$1	bar
p6rule_like('foobarbar', '^[f|o|b]**{3..4}(\N+)$1$', qr/1: <\Qbar\E @/, 're_tests 593/$1 (#685)');
# 929: ^.{3,4}((?:b|a|r)+)\1\z	foobarbar	y	$1	bar
p6rule_like('foobarbar', '^\N**{3..4}([b|a|r]+)$1$', qr/1: <\Qbar\E @/, 're_tests 594/$1 (#686)');
# 930: ^(?:f|o|b){3,4}((?:b|a|r)+)\1\z	foobarbar	y	$1	bar
p6rule_like('foobarbar', '^[f|o|b]**{3..4}([b|a|r]+)$1$', qr/1: <\Qbar\E @/, 're_tests 595/$1 (#687)');
# 931: ^.{3,4}(.+?)\1\z	foobarbar	y	$1	bar
p6rule_like('foobarbar', '^\N**{3..4}(\N+?)$1$', qr/1: <\Qbar\E @/, 're_tests 596/$1 (#688)');
# 932: ^(?:f|o|b){3,4}(.+?)\1\z	foobarbar	y	$1	bar
p6rule_like('foobarbar', '^[f|o|b]**{3..4}(\N+?)$1$', qr/1: <\Qbar\E @/, 're_tests 597/$1 (#689)');
# 933: ^.{3,4}((?:b|a|r)+?)\1\z	foobarbar	y	$1	bar
p6rule_like('foobarbar', '^\N**{3..4}([b|a|r]+?)$1$', qr/1: <\Qbar\E @/, 're_tests 598/$1 (#690)');
# 934: ^(?:f|o|b){3,4}((?:b|a|r)+?)\1\z	foobarbar	y	$1	bar
p6rule_like('foobarbar', '^[f|o|b]**{3..4}([b|a|r]+?)$1$', qr/1: <\Qbar\E @/, 're_tests 599/$1 (#691)');
# 935: ^.{2,3}?(.+)\1\z	foobarbar	y	$1	bar
p6rule_like('foobarbar', '^\N**{2..3}?(\N+)$1$', qr/1: <\Qbar\E @/, 're_tests 600/$1 (#692)');
# 936: ^(?:f|o|b){2,3}?(.+)\1\z	foobarbar	y	$1	bar
p6rule_like('foobarbar', '^[f|o|b]**{2..3}?(\N+)$1$', qr/1: <\Qbar\E @/, 're_tests 601/$1 (#693)');
# 937: ^.{2,3}?((?:b|a|r)+)\1\z	foobarbar	y	$1	bar
p6rule_like('foobarbar', '^\N**{2..3}?([b|a|r]+)$1$', qr/1: <\Qbar\E @/, 're_tests 602/$1 (#694)');
# 938: ^(?:f|o|b){2,3}?((?:b|a|r)+)\1\z	foobarbar	y	$1	bar
p6rule_like('foobarbar', '^[f|o|b]**{2..3}?([b|a|r]+)$1$', qr/1: <\Qbar\E @/, 're_tests 603/$1 (#695)');
# 939: ^.{2,3}?(.+?)\1\z	foobarbar	y	$1	bar
p6rule_like('foobarbar', '^\N**{2..3}?(\N+?)$1$', qr/1: <\Qbar\E @/, 're_tests 604/$1 (#696)');
# 940: ^(?:f|o|b){2,3}?(.+?)\1\z	foobarbar	y	$1	bar
p6rule_like('foobarbar', '^[f|o|b]**{2..3}?(\N+?)$1$', qr/1: <\Qbar\E @/, 're_tests 605/$1 (#697)');
# 941: ^.{2,3}?((?:b|a|r)+?)\1\z	foobarbar	y	$1	bar
p6rule_like('foobarbar', '^\N**{2..3}?([b|a|r]+?)$1$', qr/1: <\Qbar\E @/, 're_tests 606/$1 (#698)');
# 942: ^(?:f|o|b){2,3}?((?:b|a|r)+?)\1\z	foobarbar	y	$1	bar
p6rule_like('foobarbar', '^[f|o|b]**{2..3}?([b|a|r]+?)$1$', qr/1: <\Qbar\E @/, 're_tests 607/$1 (#699)');
# 943: .*a(?!(b|cd)*e).*f	......abef	n	-	-	# [perl #23030]
p6rule_isnt('......abef', '\N*a<!before (b|cd)*e>\N*f', 're_tests 608 (#700)');
# 944: x(?#	x	c	-	Sequence (?#... not terminated
# -- SKIPPED - TESTS ERROR MESSAGE
# 945: :x(?#:	x	c	-	Sequence (?#... not terminated
# -- SKIPPED - TESTS ERROR MESSAGE
